var _jsxFileName = 'src/lib/assets/icons/IconCarousel.js',
    _this = this;

import React from 'react';
import cx from 'classnames';

var IconCarousel = function IconCarousel(_ref) {
  var className = _ref.className,
      id = _ref.id,
      onClick = _ref.onClick;
  return React.createElement(
    'svg',
    {
      width: '250px',
      height: '250px',
      viewBox: '0 0 250 250',
      version: '1.1',
      xmlns: 'http://www.w3.org/2000/svg',
      id: id,
      className: cx('svg-icon', className),
      onClick: onClick, __source: {
        fileName: _jsxFileName,
        lineNumber: 5
      },
      __self: _this
    },
    React.createElement(
      'title',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 14
        },
        __self: _this
      },
      'Carousel'
    ),
    React.createElement(
      'g',
      { id: 'Page-1', stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', __source: {
          fileName: _jsxFileName,
          lineNumber: 15
        },
        __self: _this
      },
      React.createElement(
        'g',
        { id: 'Group-10', __source: {
            fileName: _jsxFileName,
            lineNumber: 16
          },
          __self: _this
        },
        React.createElement(
          'g',
          { id: 'carousel-copy', __source: {
              fileName: _jsxFileName,
              lineNumber: 17
            },
            __self: _this
          },
          React.createElement('rect', {
            id: 'Rectangle-Copy-11',
            fill: '#F1F7FE',
            x: '0',
            y: '0',
            width: '250',
            height: '250',
            rx: '6',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 18
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M6,0 L244,0 C247.313708,-6.08718376e-16 250,2.6862915 250,6 L250,23 L250,23 L0,23 L0,6 C-4.05812251e-16,2.6862915 2.6862915,6.08718376e-16 6,0 Z',
            id: 'Rectangle-Copy-15',
            fill: '#D7E8FB',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 27
            },
            __self: _this
          }),
          React.createElement('circle', { id: 'Oval-Copy-18', fill: '#619EEF', cx: '13', cy: '11', r: '3', __source: {
              fileName: _jsxFileName,
              lineNumber: 32
            },
            __self: _this
          }),
          React.createElement('circle', { id: 'Oval-Copy-19', fill: '#619EEF', cx: '25', cy: '11', r: '3', __source: {
              fileName: _jsxFileName,
              lineNumber: 33
            },
            __self: _this
          }),
          React.createElement('circle', { id: 'Oval-Copy-20', fill: '#619EEF', cx: '37', cy: '11', r: '3', __source: {
              fileName: _jsxFileName,
              lineNumber: 34
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M217,59 L250,59 L250,59 L250,217 L215,217 C211.686292,217 209,214.313708 209,211 L209,67 C209,62.581722 212.581722,59 217,59 Z',
            id: 'Rectangle-Copy-18',
            fill: '#FFFFFF',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 35
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M0,59 L33,59 C37.418278,59 41,62.581722 41,67 L41,209 C41,213.418278 37.418278,217 33,217 L0,217 L0,217 L0,59 Z',
            id: 'Rectangle-Copy-19',
            fill: '#FFFFFF',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 40
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M231.536643,136.169297 L235.586643,131.072193 C236.211301,130.283815 236.117465,129.10526 235.376369,128.440135 C234.635274,127.77501 233.528424,127.874925 232.903767,128.664032 L226.416096,136.822753 L226.364041,136.87891 C226.346233,136.897872 226.328425,136.935066 226.311301,136.953299 C226.289384,136.971531 226.27637,136.999245 226.27637,137.028417 C226.258562,137.04665 226.240754,137.084573 226.22363,137.102806 C226.205822,137.121768 226.205822,137.158963 226.188699,137.177924 C226.17089,137.196157 226.17089,137.233352 226.153082,137.252313 C226.135959,137.271275 226.135959,137.30847 226.118151,137.326702 C226.101027,137.364626 226.101027,137.382859 226.083219,137.420053 C226.083219,137.439015 226.065411,137.47621 226.065411,137.495172 C226.065411,137.532366 226.048288,137.551328 226.048288,137.588522 C226.048288,137.606755 226.03048,137.644679 226.03048,137.662911 C226.03048,137.700106 226.013356,137.73803 226.013356,137.775224 L226.013356,137.831381 C225.995548,137.948799 225.995548,138.068404 226.013356,138.185822 L226.013356,138.241979 C226.013356,138.279173 226.03048,138.316368 226.03048,138.353562 C226.03048,138.372524 226.048288,138.409719 226.048288,138.42868 C226.048288,138.465875 226.065411,138.484837 226.065411,138.522031 C226.065411,138.540264 226.083219,138.578188 226.083219,138.59642 C226.101027,138.633615 226.101027,138.652577 226.118151,138.689771 C226.135959,138.708733 226.135959,138.745928 226.153082,138.764889 C226.17089,138.802084 226.17089,138.820317 226.188699,138.839279 C226.205822,138.85824 226.205822,138.895435 226.22363,138.913668 C226.240754,138.932629 226.258562,138.969824 226.27637,138.988786 C226.293493,139.007018 226.293493,139.02598 226.311301,139.063175 C226.328425,139.082137 226.346233,139.119331 226.364041,139.138293 L226.416096,139.19372 L232.903767,147.353171 C233.535959,148.12988 234.638698,148.219584 235.374315,147.554459 C236.110616,146.888605 236.205136,145.715884 235.586643,144.926048 L231.536643,139.903333 L230.133904,138.084461 L231.536643,136.169297 Z',
            id: 'Path-Copy-7',
            fill: '#619EEF',
            fillRule: 'nonzero',
            transform: 'translate(231.000000, 138.000000) scale(-1, 1) translate(-231.000000, -138.000000) ',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 45
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M20.5366435,136.169297 L24.5866434,131.072193 C25.2113009,130.283815 25.1174652,129.10526 24.3763694,128.440135 C23.6352737,127.77501 22.5284244,127.874925 21.9037669,128.664032 L15.416096,136.822753 L15.364041,136.87891 C15.3462329,136.897872 15.3284248,136.935066 15.3113013,136.953299 C15.2893835,136.971531 15.2763698,136.999245 15.2763698,137.028417 C15.2585617,137.04665 15.2407535,137.084573 15.2236301,137.102806 C15.205822,137.121768 15.205822,137.158963 15.1886986,137.177924 C15.1708904,137.196157 15.1708904,137.233352 15.1530823,137.252313 C15.1359589,137.271275 15.1359589,137.30847 15.1181507,137.326702 C15.1010273,137.364626 15.1010273,137.382859 15.0832192,137.420053 C15.0832192,137.439015 15.0654111,137.47621 15.0654111,137.495172 C15.0654111,137.532366 15.0482876,137.551328 15.0482876,137.588522 C15.0482876,137.606755 15.0304795,137.644679 15.0304795,137.662911 C15.0304795,137.700106 15.0133561,137.73803 15.0133561,137.775224 L15.0133561,137.831381 C14.995548,137.948799 14.995548,138.068404 15.0133561,138.185822 L15.0133561,138.241979 C15.0133561,138.279173 15.0304795,138.316368 15.0304795,138.353562 C15.0304795,138.372524 15.0482876,138.409719 15.0482876,138.42868 C15.0482876,138.465875 15.0654111,138.484837 15.0654111,138.522031 C15.0654111,138.540264 15.0832192,138.578188 15.0832192,138.59642 C15.1010273,138.633615 15.1010273,138.652577 15.1181507,138.689771 C15.1359589,138.708733 15.1359589,138.745928 15.1530823,138.764889 C15.1708904,138.802084 15.1708904,138.820317 15.1886986,138.839279 C15.205822,138.85824 15.205822,138.895435 15.2236301,138.913668 C15.2407535,138.932629 15.2585617,138.969824 15.2763698,138.988786 C15.2934932,139.007018 15.2934932,139.02598 15.3113013,139.063175 C15.3284248,139.082137 15.3462329,139.119331 15.364041,139.138293 L15.416096,139.19372 L21.9037669,147.353171 C22.5359585,148.12988 23.6386983,148.219584 24.3743146,147.554459 C25.110616,146.888605 25.2051364,145.715884 24.5866434,144.926048 L20.5366435,139.903333 L19.1339038,138.084461 L20.5366435,136.169297 Z',
            id: 'Path-Copy-23',
            fill: '#619EEF',
            fillRule: 'nonzero',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 52
            },
            __self: _this
          })
        ),
        React.createElement('path', {
          d: 'M69,60 L181,60 C185.418278,60 189,63.581722 189,68 L189,173 L189,173 L61,173 L61,68 C61,63.581722 64.581722,60 69,60 Z',
          id: 'Rectangle-Copy-28',
          fill: '#FFFFFF',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 59
          },
          __self: _this
        }),
        React.createElement(
          'g',
          {
            id: 'image-(1)',
            transform: 'translate(86.000000, 71.000000)',
            fillRule: 'nonzero', __source: {
              fileName: _jsxFileName,
              lineNumber: 64
            },
            __self: _this
          },
          React.createElement('path', {
            d: 'M70.9672131,0 L7.03278689,0 C3.1542648,0 0,3.20405734 0,7.05256125 L0,46.9743873 L21.3073131,32.9684105 C23.4143188,31.3482052 26.3130123,31.1961819 28.579854,32.5875257 L43.4229636,41.7262771 L49.826396,35.103347 C51.9916753,32.8403473 55.5014089,32.4958162 58.071273,34.2944836 L78,47 L78,7.05256125 C78,3.20405734 74.8457352,0 70.9672131,0 Z M30.5361808,28.419277 C23.7123463,28.419277 18.18052,22.9290862 18.18052,16.1566115 C18.18052,9.38413678 23.7123463,3.89394572 30.5361808,3.89394572 C37.3600155,3.89394572 42.8918418,9.38413678 42.8918418,16.1566115 C42.8843493,22.9257813 37.3566853,28.4118412 30.5361808,28.419277 Z',
            id: 'Shape',
            fill: '#CFE3FF',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 68
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M26.7851002,34.5248784 C25.5755681,33.7470556 24.0268373,33.8408417 22.9116188,34.7589136 C22.877699,34.7873075 22.8437792,34.8131203 22.8073772,34.8380726 L0,50.5864033 C0.433512459,54.2320177 3.4019129,56.9776291 6.93454143,57 L28.795472,57 L41,43.7339909 L26.7851002,34.5248784 Z',
            id: 'Path',
            fill: '#B8D4FA',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 73
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M56.8097857,36.6181072 C55.4568709,35.6415522 53.6139945,35.8407458 52.4860202,37.0840176 L34,57 L71.1429952,57 C74.6381617,56.9780551 77.57384,54.2821892 78,50.702613 L56.8621355,36.673814 C56.8449583,36.6611533 56.8277811,36.6307678 56.8097857,36.6181072 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 78
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M40,16.500422 C40,21.7468355 35.7470243,26 30.5,26 C25.2529757,26 21,21.7468355 21,16.500422 C21,11.2531645 25.2529757,7 30.5,7 C35.7470243,7 40,11.2531645 40,16.500422 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 83
            },
            __self: _this
          })
        ),
        React.createElement('path', {
          d: 'M69,178 L181,178 C185.418278,178 189,181.581722 189,186 L189,218 L189,218 L61,218 L61,186 C61,181.581722 64.581722,178 69,178 Z',
          id: 'Rectangle-Copy-29',
          fill: '#FFFFFF',
          transform: 'translate(125.000000, 198.000000) scale(1, -1) translate(-125.000000, -198.000000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 89
          },
          __self: _this
        }),
        React.createElement('rect', {
          id: 'Rectangle-Copy-31',
          fill: '#4F94F7',
          transform: 'translate(124.500000, 198.000000) scale(1, -1) translate(-124.500000, -198.000000) ',
          x: '102',
          y: '192',
          width: '45',
          height: '12',
          rx: '2',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 95
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M127.552646,135 L87.4473541,135 C87.2004356,135 87,136.11914 87,137.5 C87,138.880859 87.2004356,140 87.4473541,140 L127.552646,140 C127.799739,140 128,138.88086 128,137.5 C128,136.119141 127.799739,135 127.552646,135 Z',
          id: 'Path-Copy-48',
          fill: '#B8D4FA',
          fillRule: 'nonzero',
          transform: 'translate(107.500000, 137.500000) rotate(180.000000) translate(-107.500000, -137.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 105
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M163.159847,146 L87.8401528,146 C87.3764278,146 87,147.11914 87,148.5 C87,149.880859 87.3764278,151 87.8401528,151 L163.159847,151 C163.6239,151 164,149.88086 164,148.5 C164,147.119141 163.6239,146 163.159847,146 Z',
          id: 'Path-Copy-50',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(125.500000, 148.500000) rotate(180.000000) translate(-125.500000, -148.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 112
          },
          __self: _this
        })
      )
    )
  );
};
export default IconCarousel;