var _jsxFileName = 'src/lib/assets/icons/IconCustom.js',
    _this = this;

import React from 'react';
import cx from 'classnames';

var IconCustom = function IconCustom(_ref) {
  var className = _ref.className,
      id = _ref.id,
      onClick = _ref.onClick;
  return React.createElement(
    'svg',
    {
      width: '250px',
      height: '250px',
      viewBox: '0 0 250 250',
      version: '1.1',
      xmlns: 'http://www.w3.org/2000/svg',
      id: id,
      className: cx('svg-icon', className),
      onClick: onClick, __source: {
        fileName: _jsxFileName,
        lineNumber: 5
      },
      __self: _this
    },
    React.createElement(
      'title',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 14
        },
        __self: _this
      },
      'Custom icon'
    ),
    React.createElement(
      'desc',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 15
        },
        __self: _this
      },
      'Created with Sketch.'
    ),
    React.createElement(
      'g',
      { id: 'Page-1', stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', __source: {
          fileName: _jsxFileName,
          lineNumber: 16
        },
        __self: _this
      },
      React.createElement(
        'g',
        { id: 'Custom-icon-4-Copy', __source: {
            fileName: _jsxFileName,
            lineNumber: 17
          },
          __self: _this
        },
        React.createElement('rect', {
          id: 'Rectangle-Copy-11',
          fill: '#F1F7FE',
          x: '0',
          y: '0',
          width: '250',
          height: '250',
          rx: '6',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 18
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M6,0 L244,0 C247.313708,-6.08718376e-16 250,2.6862915 250,6 L250,23 L0,23 L0,6 C-4.05812251e-16,2.6862915 2.6862915,6.08718376e-16 6,0 Z',
          id: 'Rectangle-Copy-15',
          fill: '#D7E8FB',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 27
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-18', fill: '#619EEF', cx: '13', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 32
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-19', fill: '#619EEF', cx: '25', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 33
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-20', fill: '#619EEF', cx: '37', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 34
          },
          __self: _this
        }),
        React.createElement('rect', {
          id: 'Rectangle-Copy-16',
          fill: '#FFFFFF',
          x: '25',
          y: '49',
          width: '200',
          height: '178',
          rx: '8',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 35
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M156.5,169.909504 L93.5,169.909504 C91.5716248,169.909504 90.0002137,168.320927 90.0002137,166.363607 L90.0002137,106.727538 L159.999786,106.727538 L159.999786,166.363607 C159.999786,168.320927 158.428375,169.909504 156.5,169.909504 Z',
          id: 'Path',
          fill: '#FFFFFF',
          fillRule: 'nonzero',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 44
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M124.5,145.199934 C120.703062,145.199934 117.627762,141.977844 117.627762,137.99967 C117.627762,134.022156 120.703062,130.800066 124.5,130.800066 C128.296938,130.800066 131.372238,134.022156 131.372238,137.99967 C131.372238,141.977844 128.296938,145.199934 124.5,145.199934 L124.5,145.199934 Z',
          id: 'Path',
          fill: '#FFFFFF',
          fillRule: 'nonzero',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 50
          },
          __self: _this
        }),
        React.createElement(
          'g',
          {
            id: 'support',
            transform: 'translate(125.000000, 138.000000) scale(-1, 1) translate(-125.000000, -138.000000) translate(90.000000, 103.000000)',
            fillRule: 'nonzero', __source: {
              fileName: _jsxFileName,
              lineNumber: 56
            },
            __self: _this
          },
          React.createElement('path', {
            d: 'M69.8468262,12.1625962 C69.6977286,11.1184299 68.9810975,10.2618288 67.9764244,9.92731093 C66.9701481,9.59172424 65.8805054,9.84768915 65.1328789,10.595278 L61.4380336,14.2899379 C60.9741739,14.7532399 60.3532003,15.006533 59.7060412,15.0070673 C59.0583479,15.0059987 58.4507344,14.7527054 57.9906155,14.2899379 L55.7188787,12.0183152 C55.2555534,11.5544788 55.0006444,10.9394147 55.0017132,10.2864101 C55.002782,9.63874913 55.2560879,9.0317006 55.7215507,8.56946724 L59.4137242,4.86572317 C60.1522657,4.12721864 60.4119845,3.04992125 60.0913441,2.05438299 C59.7691006,1.05403541 58.9242133,0.327287171 57.8869419,0.158425216 L57.8586185,0.15361575 C53.4059931,-0.508473171 48.8486251,0.994720035 45.6641323,4.17851852 C42.5090314,7.3468202 41.0335514,11.701966 41.6165824,16.1335271 C41.7448385,17.0873843 41.4129758,18.0647538 40.7289431,18.7487521 L2.17514925,57.2974026 C-0.720233043,60.1915706 -0.725576981,64.9068842 2.16232364,67.807999 C3.56726267,69.21928 5.43713026,69.9978625 7.42830667,70 L7.43739144,70 C9.42482715,70 11.2936259,69.2262269 12.6996338,67.820824 L51.2470148,29.278586 C51.9321164,28.5935188 52.909535,28.2611384 53.868784,28.3909913 C58.2952238,28.9734586 62.6511227,27.4985871 65.8227901,24.3404386 C69.0040766,21.1598463 70.5078798,16.6027073 69.8468262,12.1625962 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 60
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M4.88665829,17.6849621 C5.17120778,18.2333194 5.61091612,18.6733251 6.15863274,18.9571289 L15.0975428,23.5898396 L23.5282114,32 L32,23.5023885 L23.5775553,15.093328 L18.9534895,6.15351076 C18.6689401,5.60350355 18.2281352,5.16239768 17.6782255,4.87749402 L8.89008829,0.33388441 C7.73818374,-0.262323416 6.34723585,-0.0461706144 5.42998879,0.871241428 L0.875552653,5.42420126 C-0.0471771237,6.34656333 -0.263741634,7.74468162 0.336608411,8.90409683 L4.88665829,17.6849621 Z',
            id: 'Path',
            fill: '#D7E8FB',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 65
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M49.9868322,36 L36,50.0260021 L53.0940698,67.1061782 C55.0245011,69.0352146 57.5598576,70 60.0952141,70 C62.6316366,70 65.167526,69.03468 67.0979573,67.1051093 C68.9697614,65.2337998 70.0005327,62.7451345 69.9999998,60.098255 C69.9994669,57.4513756 68.9681624,54.9632448 67.0958254,53.0924698 L49.9868322,36 Z',
            id: 'Path',
            fill: '#D7E8FB',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 70
            },
            __self: _this
          })
        )
      )
    )
  );
};
export default IconCustom;