var _jsxFileName = 'src/lib/assets/icons/IconResponseCard.js',
    _this = this;

import React from 'react';
import cx from 'classnames';

var IconResponseCard = function IconResponseCard(_ref) {
  var className = _ref.className,
      id = _ref.id,
      onClick = _ref.onClick;
  return React.createElement(
    'svg',
    {
      width: '250px',
      height: '250px',
      viewBox: '0 0 250 250',
      version: '1.1',
      xmlns: 'http://www.w3.org/2000/svg',
      id: id,
      className: cx('svg-icon', className),
      onClick: onClick, __source: {
        fileName: _jsxFileName,
        lineNumber: 5
      },
      __self: _this
    },
    React.createElement(
      'title',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 14
        },
        __self: _this
      },
      'Card'
    ),
    React.createElement(
      'g',
      {
        id: 'Page-1',
        stroke: 'none',
        strokeWidth: '1',
        fill: 'none',
        fillRule: 'evenodd', __source: {
          fileName: _jsxFileName,
          lineNumber: 15
        },
        __self: _this
      },
      React.createElement(
        'g',
        { id: 'card-copy-2', __source: {
            fileName: _jsxFileName,
            lineNumber: 21
          },
          __self: _this
        },
        React.createElement('rect', {
          id: 'Rectangle-Copy-26',
          fill: '#F1F7FE',
          x: '0',
          y: '0',
          width: '250',
          height: '250',
          rx: '6',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 22
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M6,0 L244,0 C247.313708,-6.08718376e-16 250,2.6862915 250,6 L250,23 L250,23 L0,23 L0,6 C-4.05812251e-16,2.6862915 2.6862915,6.08718376e-16 6,0 Z',
          id: 'Rectangle-Copy-27',
          fill: '#D7E8FB',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 31
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-27', fill: '#619EEF', cx: '13', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 36
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-28', fill: '#619EEF', cx: '25', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 37
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-29', fill: '#619EEF', cx: '37', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 38
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M69,46 L181,46 C185.418278,46 189,49.581722 189,54 L189,146 L189,146 L61,146 L61,54 C61,49.581722 64.581722,46 69,46 Z',
          id: 'Rectangle-Copy-28',
          fill: '#FFFFFF',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 39
          },
          __self: _this
        }),
        React.createElement(
          'g',
          {
            id: 'image-(1)',
            transform: 'translate(86.000000, 57.000000)',
            fillRule: 'nonzero', __source: {
              fileName: _jsxFileName,
              lineNumber: 44
            },
            __self: _this
          },
          React.createElement('path', {
            d: 'M70.9672131,0 L7.03278689,0 C3.1542648,0 0,3.20405734 0,7.05256125 L0,46.9743873 L21.3073131,32.9684105 C23.4143188,31.3482052 26.3130123,31.1961819 28.579854,32.5875257 L43.4229636,41.7262771 L49.826396,35.103347 C51.9916753,32.8403473 55.5014089,32.4958162 58.071273,34.2944836 L78,47 L78,7.05256125 C78,3.20405734 74.8457352,0 70.9672131,0 Z M30.5361808,28.419277 C23.7123463,28.419277 18.18052,22.9290862 18.18052,16.1566115 C18.18052,9.38413678 23.7123463,3.89394572 30.5361808,3.89394572 C37.3600155,3.89394572 42.8918418,9.38413678 42.8918418,16.1566115 C42.8843493,22.9257813 37.3566853,28.4118412 30.5361808,28.419277 Z',
            id: 'Shape',
            fill: '#CFE3FF',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 48
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M26.7851002,34.5248784 C25.5755681,33.7470556 24.0268373,33.8408417 22.9116188,34.7589136 C22.877699,34.7873075 22.8437792,34.8131203 22.8073772,34.8380726 L0,50.5864033 C0.433512459,54.2320177 3.4019129,56.9776291 6.93454143,57 L28.795472,57 L41,43.7339909 L26.7851002,34.5248784 Z',
            id: 'Path',
            fill: '#B8D4FA',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 53
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M56.8097857,36.6181072 C55.4568709,35.6415522 53.6139945,35.8407458 52.4860202,37.0840176 L34,57 L71.1429952,57 C74.6381617,56.9780551 77.57384,54.2821892 78,50.702613 L56.8621355,36.673814 C56.8449583,36.6611533 56.8277811,36.6307678 56.8097857,36.6181072 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 58
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M40,16.500422 C40,21.7468355 35.7470243,26 30.5,26 C25.2529757,26 21,21.7468355 21,16.500422 C21,11.2531645 25.2529757,7 30.5,7 C35.7470243,7 40,11.2531645 40,16.500422 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 63
            },
            __self: _this
          })
        ),
        React.createElement('path', {
          d: 'M69,152 L181,152 C185.418278,152 189,155.581722 189,160 L189,194 L189,194 L61,194 L61,160 C61,155.581722 64.581722,152 69,152 Z',
          id: 'Rectangle-Copy-29',
          fill: '#FFFFFF',
          transform: 'translate(125.000000, 173.000000) scale(1, -1) translate(-125.000000, -173.000000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 69
          },
          __self: _this
        }),
        React.createElement('rect', {
          id: 'Rectangle-Copy-31',
          fill: '#4F94F7',
          transform: 'translate(125.500000, 173.000000) scale(1, -1) translate(-125.500000, -173.000000) ',
          x: '103',
          y: '167',
          width: '45',
          height: '12',
          rx: '2',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 75
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M127.552646,121 L87.4473541,121 C87.2004356,121 87,122.11914 87,123.5 C87,124.880859 87.2004356,126 87.4473541,126 L127.552646,126 C127.799739,126 128,124.88086 128,123.5 C128,122.119141 127.799739,121 127.552646,121 Z',
          id: 'Path-Copy-48',
          fill: '#B8D4FA',
          fillRule: 'nonzero',
          transform: 'translate(107.500000, 123.500000) rotate(180.000000) translate(-107.500000, -123.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 85
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M163.159847,132 L87.8401528,132 C87.3764278,132 87,133.11914 87,134.5 C87,135.880859 87.3764278,137 87.8401528,137 L163.159847,137 C163.6239,137 164,135.88086 164,134.5 C164,133.119141 163.6239,132 163.159847,132 Z',
          id: 'Path-Copy-50',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(125.500000, 134.500000) rotate(180.000000) translate(-125.500000, -134.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 92
          },
          __self: _this
        })
      )
    )
  );
};
export default IconResponseCard;