var _jsxFileName = 'src/lib/atoms/Toggle.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';

var Toggle = function (_Component) {
  _inherits(Toggle, _Component);

  function Toggle() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Toggle);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Toggle.__proto__ || Object.getPrototypeOf(Toggle)).call.apply(_ref, [this].concat(args))), _this), _this.toggleSwitch = function (evt) {
      evt.persist();
      evt.preventDefault();

      var _this$props = _this.props,
          enabled = _this$props.enabled,
          onClick = _this$props.onClick,
          onStateChanged = _this$props.onStateChanged;

      typeof onStateChanged === 'function' && onStateChanged({ enabled: !enabled });
      typeof onClick === 'function' && onClick(evt);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Toggle, [{
    key: 'render',
    value: function render() {
      // Isolate special props and store the remaining as restProps
      var _props = this.props,
          enabled = _props.enabled,
          theme = _props.theme,
          onClick = _props.onClick,
          className = _props.className,
          onStateChanged = _props.onStateChanged,
          label = _props.label,
          restProps = _objectWithoutProperties(_props, ['enabled', 'theme', 'onClick', 'className', 'onStateChanged', 'label']);

      // Use default as a fallback theme if valid theme is not passed


      var switchTheme = 'default';

      var switchClasses = classnames('switch switch--' + switchTheme, className);

      var togglerClasses = classnames('switch-toggle mr-2 m-r-2', 'switch-toggle--' + (enabled ? 'on' : 'off'));

      var headingClasses = classnames('font-weight-light h6 mb-0 mr-2 m-r-2', enabled ? 'text-dark' : 'text-secondary');

      return React.createElement(
        'div',
        { className: className, __source: {
            fileName: _jsxFileName,
            lineNumber: 47
          },
          __self: this
        },
        React.createElement(
          'div',
          Object.assign({
            className: switchClasses,
            onClick: this.toggleSwitch
          }, restProps, {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 48
            },
            __self: this
          }),
          React.createElement('div', { className: togglerClasses, __source: {
              fileName: _jsxFileName,
              lineNumber: 52
            },
            __self: this
          })
        ),
        label && React.createElement(
          'span',
          { className: headingClasses, __source: {
              fileName: _jsxFileName,
              lineNumber: 54
            },
            __self: this
          },
          label
        )
      );
    }
  }]);

  return Toggle;
}(Component);

Toggle.propTypes = {
  theme: PropTypes.string,
  enabled: PropTypes.oneOfType([PropTypes.bool, PropTypes.func]),
  onStateChanged: PropTypes.func
};

export default Toggle;