import _regeneratorRuntime from 'babel-runtime/regenerator';
var _jsxFileName = 'src/lib/components/TemplateItemHook.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral([' > <div class="panel-body"> <div class="row"> <div class="col-xs-12 buttondesign"> <h5 class="uob-amex card-title" style="font-weight: bold;">'], [' > <div class="panel-body"> <div class="row"> <div class="col-xs-12 buttondesign"> <h5 class="uob-amex card-title" style="font-weight: bold;">']);

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import cx from 'classnames';
import { Dropdown, DropdownToggle, DropdownMenu, DropdownItem } from 'reactstrap';

import generateTemplateMarkup from './TemplateItemMarkupGenerator';
import CustomTemplateAtrribute from './CustomTemplateAttribute';

var defaultRows = 2;

var TemplateItemHook = function (_Component) {
  _inherits(TemplateItemHook, _Component);

  function TemplateItemHook(props) {
    _classCallCheck(this, TemplateItemHook);

    var _this = _possibleConstructorReturn(this, (TemplateItemHook.__proto__ || Object.getPrototypeOf(TemplateItemHook)).call(this, props));

    _this.state = {
      addButtonModal: null,
      editButtonModal: [],
      rows: defaultRows,
      activeTab: '1',
      sourceCode: 'Type',
      intent: '',
      payload: '',
      key: '',
      pair: '',
      isJson: false,
      dropdownOpen: false,
      contentVal: '',
      name: '',
      base: '',
      attrkey: '',
      attrvalue: '',
      approval: true,
      attributeArray: [],
      customTemplateAttributes: {}
    };

    _this.toggle = _this.toggle.bind(_this);
    _this.dropdownToggle = _this.dropdownToggle.bind(_this);
    _this.handleSourceCodeChange = _this.handleSourceCodeChange.bind(_this);
    _this.addAttr = _this.addAttr.bind(_this);

    return _this;
  }

  _createClass(TemplateItemHook, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var editButtonModal = [];
      this.setState({
        addButtonModal: null,
        editButtonModal: editButtonModal
      });
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      if (prevProps.speechResponse !== this.props.speechResponse) {
        var _props = this.props,
            dynamicTemplate = _props.dynamicTemplate,
            speechResponse = _props.speechResponse,
            onChange = _props.onChange,
            content = _props.content,
            message = _props.message;

        var custom = message['customTemplateName'];
        if (message['quick_replies'] && message['quick_replies'].length) {
          var quickreply_templateMarkup = message['quickreply_templateMarkup'];
        }
        if (dynamicTemplate) {
          onChange(generateTemplateMarkup(content, 'hook', speechResponse, quickreply_templateMarkup, custom), 'templateMarkup');
        }
      }
    }
  }, {
    key: 'getUniqueId',
    value: function getUniqueId() {
      var date = new Date();
      var components = [date.getYear(), date.getMonth(), date.getDate(), date.getHours(), date.getMinutes(), date.getSeconds(), date.getMilliseconds()];

      return components.join('');
    }
  }, {
    key: 'generateDynamicContent',
    value: function generateDynamicContent() {
      var _props2 = this.props,
          content = _props2.content,
          onChange = _props2.onChange,
          speechResponse = _props2.speechResponse,
          message = _props2.message;

      var custom = message['customTemplateName'];
      if (message['quick_replies'] && message['quick_replies'].length) {
        var quickreply_templateMarkup = message['quickreply_templateMarkup'];
      }
      if (content && this.isDynamicContent(content)) {
        onChange('hook', 'base');
        onChange('dynamic', 'type');
        onChange(true, 'dynamicTemplate');
        var _id = this.getUniqueId();
        onChange(_id, 'id');
        onChange(generateTemplateMarkup(content, 'hook', speechResponse, quickreply_templateMarkup, custom), 'templateMarkup');
      } else {
        var _id2 = this.getUniqueId();
        onChange(_id2, 'id');
        onChange(false, 'dynamicTemplate');
      }
    }
  }, {
    key: 'getTemplateMarkup',
    value: function getTemplateMarkup() {
      var content = this.props.content;


      return '<div class="panel panel-default button-div border-radius-top-20" data-element="true" data-title=' + content.title(_templateObject) + content.title + ' </h5> </div> </div> </div> {{#each buttons}} <button type="button" class="btn btn-primary btn-sm btn-block" id="button{{@index}}" data-button="true" data-title="{{title}}" data-type="{{type}}" data-payload="{{payload}}">' + content.title + '</button> {{/each}} </div>\n      ';
    }
  }, {
    key: 'isDynamicContent',
    value: function isDynamicContent(string) {
      return string.indexOf('{{') >= 0 && string.indexOf('}}') >= 0;
    }
  }, {
    key: 'onChange',
    value: function onChange(event, field, index) {
      var _props3 = this.props,
          content = _props3.content,
          onChange = _props3.onChange;

      var contentVal = this.state.intent + '::' + this.state.payload;

      if (field == 'intent' && this.state.attributeArray.length == 0) {

        content = this.state.intent;
        this.generateDynamicContent();
        onChange(contentVal, 'content');
      }
      if (field == 'intent' && this.state.attributeArray.length > 0) {

        var obj = Object.fromEntries(this.state.attributeArray.map(function (item) {
          return [item.key, item.value];
        }));
        content = JSON.stringify(obj);
        contentVal = this.state.intent + '::' + content;
        this.generateDynamicContent();
        onChange(contentVal, 'content');
      }

      if (field == 'sourceCode') {
        content = this.state.payload;
        this.generateDynamicContent();
        onChange(contentVal, 'content');
      }

      if (field == 'Attribute') {
        var _obj = Object.fromEntries(this.state.attributeArray.map(function (item) {
          return [item.key, item.value];
        }));
        content = JSON.stringify(_obj);
        //content.replace(/\"/g,"")
        this.setState({ payload: content });
        contentVal = this.state.intent + '::' + content;
        onChange(contentVal, 'content');
      }
    }
  }, {
    key: 'dropdownToggle',
    value: function dropdownToggle() {
      this.setState(function (prevState) {
        return {
          dropdownOpen: !prevState.dropdownOpen
        };
      });
    }
  }, {
    key: 'toggle',
    value: function toggle(tab) {
      if (this.state.activeTab !== tab) {
        this.setState({
          activeTab: tab
        });
      }
    }
  }, {
    key: 'handleSourceCodeChange',
    value: function handleSourceCodeChange(event) {}
  }, {
    key: 'addAttr',
    value: function addAttr() {

      this.setState({
        attributeArray: [].concat(_toConsumableArray(this.state.attributeArray), [{ key: '', value: '' }])
      });
    }
  }, {
    key: 'saveAttribute',
    value: function saveAttribute(event, field) {
      this.setState({
        sourceCode: field
      });
    }
  }, {
    key: 'saveCustomTemplateAttributes',
    value: function saveCustomTemplateAttributes(index, key) {
      var _props4 = this.props,
          onChange = _props4.onChange,
          message = _props4.message;

      onChange(this.state.name, 'name');
      onChange(this.state.base, 'base');
      var quickreply_templateMarkup = '';
      if (message['quick_replies'] && message['quick_replies'].length) {
        quickreply_templateMarkup = message['quickreply_templateMarkup'];
      }
      var templateMarkup = '';
      if (this.state.name) {
        templateMarkup = this.getTemplateMarkup(this.props.id, quickreply_templateMarkup);
      }
      onChange(templateMarkup, 'templateMarkup');
      if (message.name) {
        delete message['customTemplate'];
        message.base = 'baseTemplate';
        this.props.onResponeTypeChange(message, message.customTemplate);
      }

      this.props.hideAndShowTemplateTypeChoice(true);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props5 = this.props,
          content = _props5.content,
          save = _props5.save,
          mode = _props5.mode,
          channel = _props5.channel,
          uniqueKey = _props5.uniqueKey,
          message = _props5.message;
      var rows = this.state.rows;

      if (content !== '' && this.state.approval) {
        var splitCon = content.split('::');
        if (splitCon[1][0] == '{') {
          this.setState({ sourceCode: 'Json' });
          var keyPair = JSON.parse(splitCon[1]);
          var newArr = [];
          Object.entries(keyPair).map(function () {
            var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(val, index) {
              return _regeneratorRuntime.wrap(function _callee$(_context) {
                while (1) {
                  switch (_context.prev = _context.next) {
                    case 0:
                      newArr.push({ key: val[0], value: val[1] });

                      _context.next = 3;
                      return _this2.setState({ attributeArray: newArr });

                    case 3:
                    case 'end':
                      return _context.stop();
                  }
                }
              }, _callee, _this2);
            }));

            return function (_x, _x2) {
              return _ref.apply(this, arguments);
            };
          }());

          this.setState({
            intent: splitCon[0],
            key: keyPair,
            approval: false,
            isJson: true
          });
        } else {
          this.setState({
            intent: splitCon[0],
            sourceCode: 'Text',
            payload: splitCon[1],
            approval: false,
            isJson: false
          });
        }
      }
      return React.createElement(
        'div',
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 261
          },
          __self: this
        },
        React.createElement(
          'div',
          { className: 'bot-response__ItemButtons', __source: {
              fileName: _jsxFileName,
              lineNumber: 262
            },
            __self: this
          },
          (channel === 'wn' || channel === 'wg' || channel === 'gw') && React.createElement(CustomTemplateAtrribute, {
            message: message,
            onChange: this.props.onChange,
            uniqueKey: uniqueKey,
            __source: {
              fileName: _jsxFileName,
              lineNumber: 264
            },
            __self: this
          }),
          React.createElement(
            'div',
            {
              className: 'bot-response__ItemButtonsTitle',
              key: 'buttonTitle-' + channel, __source: {
                fileName: _jsxFileName,
                lineNumber: 270
              },
              __self: this
            },
            React.createElement('textarea', {
              disabled: save,
              type: 'text',
              placeholder: 'Enter Intent',
              className: 'bot-response__inputLarge',
              maxLength: '640',
              rows: rows,
              value: this.state.intent,
              key: uniqueKey,
              onChange: function () {
                var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee2(event) {
                  return _regeneratorRuntime.wrap(function _callee2$(_context2) {
                    while (1) {
                      switch (_context2.prev = _context2.next) {
                        case 0:
                          _context2.next = 2;
                          return _this2.setState({ intent: event.target.value });

                        case 2:
                          _this2.onChange(content, 'intent');

                        case 3:
                        case 'end':
                          return _context2.stop();
                      }
                    }
                  }, _callee2, _this2);
                }));

                return function (_x3) {
                  return _ref2.apply(this, arguments);
                };
              }(),
              __source: {
                fileName: _jsxFileName,
                lineNumber: 273
              },
              __self: this
            })
          ),
          mode !== 'preview' ? React.createElement(
            'div',
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 290
              },
              __self: this
            },
            React.createElement(
              Dropdown,
              {
                isOpen: this.state.dropdownOpen,
                toggle: this.dropdownToggle,
                className: 'ml-2 m-l-2 mt-1 m-t-1',
                id: 'channelResponse', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 292
                },
                __self: this
              },
              React.createElement(
                DropdownToggle,
                { caret: true, __source: {
                    fileName: _jsxFileName,
                    lineNumber: 297
                  },
                  __self: this
                },
                this.state.sourceCode
              ),
              React.createElement(
                DropdownMenu,
                {
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 298
                  },
                  __self: this
                },
                React.createElement(
                  DropdownItem,
                  {
                    onClick: function onClick(event) {
                      return _this2.saveAttribute(event, 'Text');
                    }, __source: {
                      fileName: _jsxFileName,
                      lineNumber: 299
                    },
                    __self: this
                  },
                  'Text'
                ),
                React.createElement(
                  DropdownItem,
                  {
                    onClick: function onClick(event) {
                      return _this2.saveAttribute(event, 'Json');
                    }, __source: {
                      fileName: _jsxFileName,
                      lineNumber: 305
                    },
                    __self: this
                  },
                  'Json'
                )
              )
            ),
            (this.state.sourceCode == 'Text' || !this.state.isJson) && this.state.sourceCode !== 'Json' && React.createElement(
              'div',
              {

                className: 'bot-response__ItemButtonsTitle',
                key: 'buttonTitle-' + channel, __source: {
                  fileName: _jsxFileName,
                  lineNumber: 317
                },
                __self: this
              },
              React.createElement('textarea', {

                type: 'text',
                placeholder: 'Enter Payload',
                className: 'bot-response__inputLarge',
                maxLength: '1040',
                rows: rows,
                value: this.state.payload,
                key: uniqueKey,
                onChange: function () {
                  var _ref3 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee3(event) {
                    return _regeneratorRuntime.wrap(function _callee3$(_context3) {
                      while (1) {
                        switch (_context3.prev = _context3.next) {
                          case 0:
                            _context3.next = 2;
                            return _this2.setState({ payload: event.target.value });

                          case 2:
                            _this2.onChange(content, 'sourceCode');

                          case 3:
                          case 'end':
                            return _context3.stop();
                        }
                      }
                    }, _callee3, _this2);
                  }));

                  return function (_x4) {
                    return _ref3.apply(this, arguments);
                  };
                }(),
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 321
                },
                __self: this
              })
            ),
            (this.state.sourceCode == 'Json' || this.state.isJson) && this.state.sourceCode !== 'Text' && React.createElement(
              'div',
              {
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 339
                },
                __self: this
              },
              React.createElement(
                'button',
                {
                  className: 'btn btn-primary ml-2 m-l-2 mt-2 m-t-2 mb-2 m-b-2',
                  onClick: this.addAttr,
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 340
                  },
                  __self: this
                },
                'Add Attributes'
              ),
              this.state.key !== '' && this.state.attributeArray.map(function (val, inde) {
                return React.createElement(
                  'div',
                  { className: 'addAttributes d-flex m-t-3 mt-3 ml-3 m-l-3 mr-3 m-r-3', __source: {
                      fileName: _jsxFileName,
                      lineNumber: 349
                    },
                    __self: _this2
                  },
                  React.createElement('input', {
                    type: 'text',
                    className: 'HookResponse',
                    placeholder: 'Enter key',
                    value: val.key,
                    key: 'attrKey',
                    onChange: function () {
                      var _ref4 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee4(event) {
                        return _regeneratorRuntime.wrap(function _callee4$(_context4) {
                          while (1) {
                            switch (_context4.prev = _context4.next) {
                              case 0:
                                _context4.next = 2;
                                return _this2.setState({ attrkey: event.target.value });

                              case 2:
                                _this2.state.attributeArray[inde].key = _this2.state.attrkey;

                                _this2.onChange(_this2.state.attributeArray, 'Attribute');

                              case 4:
                              case 'end':
                                return _context4.stop();
                            }
                          }
                        }, _callee4, _this2);
                      }));

                      return function (_x5) {
                        return _ref4.apply(this, arguments);
                      };
                    }(),
                    __source: {
                      fileName: _jsxFileName,
                      lineNumber: 352
                    },
                    __self: _this2
                  }),
                  React.createElement('input', {
                    type: 'text',
                    className: 'HookResponse',
                    placeholder: 'Enter value',
                    value: val.value,
                    key: 'attrValue',
                    onChange: function () {
                      var _ref5 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee5(event) {
                        return _regeneratorRuntime.wrap(function _callee5$(_context5) {
                          while (1) {
                            switch (_context5.prev = _context5.next) {
                              case 0:
                                _context5.next = 2;
                                return _this2.setState({ attrvalue: event.target.value });

                              case 2:
                                _this2.state.attributeArray[inde].value = _this2.state.attrvalue;

                                _this2.onChange(_this2.state.attributeArray, 'Attribute');

                              case 4:
                              case 'end':
                                return _context5.stop();
                            }
                          }
                        }, _callee5, _this2);
                      }));

                      return function (_x6) {
                        return _ref5.apply(this, arguments);
                      };
                    }(),
                    __source: {
                      fileName: _jsxFileName,
                      lineNumber: 366
                    },
                    __self: _this2
                  })
                );
              })
            ),
            this.state.key == '' && this.state.attributeArray.map(function (value, index) {
              return React.createElement(
                'div',
                { className: 'addAttributes d-flex m-t-3 mt-3 ml-3 m-l-3 mr-3 m-r-3', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 395
                  },
                  __self: _this2
                },
                React.createElement('input', {
                  type: 'text',
                  className: 'HookResponse',
                  placeholder: 'Enter key',
                  value: _this2.state.attributeArray[index].key,
                  key: 'attrKey',
                  onChange: function onChange(event) {
                    _this2.setState({ value: event.target.value });
                    _this2.state.attributeArray[index].key = event.target.value;

                    _this2.onChange(_this2.state.attributeArray, 'Attribute');
                  },
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 397
                  },
                  __self: _this2
                }),
                React.createElement('input', {
                  type: 'text',
                  className: 'HookResponse',
                  placeholder: 'Enter value',
                  value: _this2.state.attributeArray[index].value,
                  key: 'attrValue',
                  onChange: function onChange(event) {
                    _this2.setState({ value: event.target.value });
                    _this2.state.attributeArray[index].value = event.target.value;

                    _this2.onChange(_this2.state.attributeArray, 'Attribute');
                  },
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 410
                  },
                  __self: _this2
                })
              );
            })
          ) : React.createElement(
            'div',
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 432
              },
              __self: this
            },
            content.buttons.map(function (button) {
              return React.createElement(
                'div',
                {
                  className: cx('preview', (!button.title || !button['payload']) && 'errorButton'), __source: {
                    fileName: _jsxFileName,
                    lineNumber: 434
                  },
                  __self: _this2
                },
                React.createElement(
                  'div',
                  { className: cx('buttonName mt-1 m-t-1'), __source: {
                      fileName: _jsxFileName,
                      lineNumber: 439
                    },
                    __self: _this2
                  },
                  button.title ? button.title : 'Enter button name'
                )
              );
            })
          )
        ),
        React.createElement('hr', {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 447
          },
          __self: this
        })
      );
    }
  }]);

  return TemplateItemHook;
}(Component);

export default TemplateItemHook;