var _jsxFileName = 'src/lib/components/TemplateQuickReply.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';

import IconAdd from '../assets/icons/IconAdd';
import QuickReplies from './TemplateQuickRepliesButton';
import IconResponseDelete from '../assets/icons/IconResponseDelete';

var ResponseQuickReply = function (_Component) {
  _inherits(ResponseQuickReply, _Component);

  function ResponseQuickReply(props) {
    _classCallCheck(this, ResponseQuickReply);

    var _this = _possibleConstructorReturn(this, (ResponseQuickReply.__proto__ || Object.getPrototypeOf(ResponseQuickReply)).call(this, props));

    _this.state = {
      addQuickReplyModal: null,
      editQuickReplyModal: []
    };
    _this.hideAddQuickReplyModal = _this.hideAddQuickReplyModal.bind(_this);
    _this.showAddQuickReplyModal = _this.showAddQuickReplyModal.bind(_this);
    _this.hideEditQuickReplyModal = _this.hideEditQuickReplyModal.bind(_this);
    _this.showEditQuickReplyModal = _this.showEditQuickReplyModal.bind(_this);
    return _this;
  }

  _createClass(ResponseQuickReply, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var replies = this.props.replies;

      var editQuickReplyModal = [];
      replies.map(function () {
        editQuickReplyModal.push(null);
        return '';
      });
      this.setState({
        addQuickReplyModal: null,
        editQuickReplyModal: editQuickReplyModal
      });
    }
  }, {
    key: 'onAddReply',
    value: function onAddReply() {
      var _props = this.props,
          replies = _props.replies,
          onChange = _props.onChange;

      var editQuickReplyModal = [].concat(this.state.editQuickReplyModal);
      editQuickReplyModal.push(null);
      this.setState({
        editQuickReplyModal: editQuickReplyModal
      });
      replies.push({
        type: 'postback',
        title: '',
        payload: '{"data":{"options":"no"}, "intent": ""}',
        dynamicTemplate: false,
        keyName: ''
      });
      this.showAddQuickReplyModal();
      onChange(replies);
    }
  }, {
    key: 'onReplyChange',
    value: function onReplyChange(value, index, field, dynamicTemplate) {
      var _props2 = this.props,
          replies = _props2.replies,
          onChange = _props2.onChange;

      replies[index][field] = value;
      replies[index]['dynamicTemplate'] = dynamicTemplate;
      onChange(replies);
    }
  }, {
    key: 'onRemoveReply',
    value: function onRemoveReply(index) {
      var _props3 = this.props,
          replies = _props3.replies,
          onChange = _props3.onChange;

      replies.splice(index, 1);
      onChange(replies);
    }
  }, {
    key: 'showAddQuickReplyModal',
    value: function showAddQuickReplyModal() {
      this.setState({
        addQuickReplyModal: false
      });
    }
  }, {
    key: 'hideAddQuickReplyModal',
    value: function hideAddQuickReplyModal() {
      this.setState({
        addQuickReplyModal: true
      });
      document.querySelector('body').classList.remove('modal-open');
    }
  }, {
    key: 'showEditQuickReplyModal',
    value: function showEditQuickReplyModal(index) {
      var editQuickReplyModal = [].concat(this.state.editQuickReplyModal);
      editQuickReplyModal[index] = false;
      this.setState({
        editQuickReplyModal: editQuickReplyModal
      });
    }
  }, {
    key: 'hideEditQuickReplyModal',
    value: function hideEditQuickReplyModal(index) {
      var editQuickReplyModal = [].concat(this.state.editQuickReplyModal);
      editQuickReplyModal[index] = true;
      this.setState({
        editQuickReplyModal: editQuickReplyModal
      });
      document.querySelector('body').classList.remove('modal-open');
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      if (prevProps.uniqueKey !== this.props.uniqueKey) {
        var replies = this.props.replies;

        var editQuickReplyModal = [];
        replies.map(function () {
          editQuickReplyModal.push(null);
          return '';
        });
        this.setState({
          addQuickReplyModal: null,
          editQuickReplyModal: editQuickReplyModal
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props4 = this.props,
          replies = _props4.replies,
          save = _props4.save,
          uniqueKey = _props4.uniqueKey,
          messages = _props4.messages;

      var displayAddQuickReply = this.state.addQuickReplyModal ? 'none' : this.state.addQuickReplyModal !== null ? 'block' : '';
      return React.createElement(
        'div',
        { className: 'bot-response__QuickReply', __source: {
            fileName: _jsxFileName,
            lineNumber: 107
          },
          __self: this
        },
        replies.map(function (reply, index) {
          return React.createElement(
            'div',
            { className: 'bot-response__QuickReplyChild mr-2 m-r-2', key: index, __source: {
                fileName: _jsxFileName,
                lineNumber: 109
              },
              __self: _this2
            },
            React.createElement(
              'div',
              { style: { position: 'relative' }, className: 'quickReplyContent', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 110
                },
                __self: _this2
              },
              React.createElement(
                'div',
                {
                  className: 'quickReplyTitle list',
                  'data-toggle': 'modal',
                  'data-target': '#editQuickReplyButton' + index,
                  'data-backdrop': 'false',
                  onClick: function onClick() {
                    return _this2.showEditQuickReplyModal(index);
                  }, __source: {
                    fileName: _jsxFileName,
                    lineNumber: 111
                  },
                  __self: _this2
                },
                reply.title ? reply.title : 'Enter title'
              ),
              save ? null : React.createElement(
                'div',
                {
                  className: 'iconTrash',
                  onClick: function onClick() {
                    return _this2.onRemoveReply(index);
                  }, __source: {
                    fileName: _jsxFileName,
                    lineNumber: 120
                  },
                  __self: _this2
                },
                React.createElement(IconResponseDelete, {
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 123
                  },
                  __self: _this2
                })
              )
            ),
            React.createElement(QuickReplies, {
              id: 'editQuickReplyButton' + index,
              index: index,
              placeholder: 'Enter button name',
              onReplyChange: _this2.onReplyChange.bind(_this2),
              content: reply,
              onHideModal: function onHideModal(index) {
                return _this2.hideEditQuickReplyModal(index);
              },
              display: _this2.state.editQuickReplyModal[index] ? 'none' : _this2.state.editQuickReplyModal[index] !== null ? 'block' : '',
              uniqueKey: uniqueKey,
              dynamicTemplate: reply.dynamicTemplate,
              message: messages[0],
              onChange: _this2.props.onAnswerChange,
              __source: {
                fileName: _jsxFileName,
                lineNumber: 127
              },
              __self: _this2
            })
          );
        }),
        React.createElement(
          'div',
          {
            className: 'addQuickReply',
            'data-target': '#addQuickReplyButton' + replies.length,
            'data-toggle': 'modal',
            onClick: this.onAddReply.bind(this),
            'data-backdrop': 'false', __source: {
              fileName: _jsxFileName,
              lineNumber: 148
            },
            __self: this
          },
          React.createElement(IconAdd, { className: 'iconAdd', __source: {
              fileName: _jsxFileName,
              lineNumber: 154
            },
            __self: this
          }),
          'Add Quick reply'
        ),
        React.createElement(QuickReplies, {
          id: 'addQuickReplyButton' + replies.length,
          index: replies.length - 1,
          placeholder: 'Enter button name',
          onReplyChange: this.onReplyChange.bind(this),
          content: replies[replies.length - 1],
          display: displayAddQuickReply,
          onHideModal: this.hideAddQuickReplyModal,
          uniqueKey: uniqueKey,
          dynamicTemplate: replies.length && replies[0].dynamicTemplate,
          message: messages[0],
          onChange: this.props.onAnswerChange,
          __source: {
            fileName: _jsxFileName,
            lineNumber: 157
          },
          __self: this
        })
      );
    }
  }]);

  return ResponseQuickReply;
}(Component);

export default ResponseQuickReply;