### Changelog

All notable changes to this project will be documented in this file. Dates are displayed in UTC.

### 0.7.0

> 15 May 2020

- Dynamic Quick Replies
- Custom Template name for static template
- Custom template for all channels except default
- Bug Fixes

### 0.6.5

> 14 April 2020

- Image upload in S3Bucket and save Url generated

### 0.6.4

> 19 March 2020

- Bug Fixes
- Mapping Channel and languages from cookie
- Sonar fixes
- Template icons changed

### 0.6.3

> 27 Feb 2020

- Adding Vietnamese language

### 0.6.2

> 07 Jan 2020

- Bug Fixes
- Display only one item list in Template preview for Admin Web 
- Test cases

### 0.6.1

> 07 Jan 2020

- Bug Fixes

### 0.6.0

> 13 Nov 2019

- Video Template
- Integration for Triniti.ai, Campaign Management
- Save of Template

### 0.5.6

> 14 Oct 2019

- Fixed - Cursor position issue
- Fixed - List Component State
- Changed the output file name to templateEditor.js instead of bundle.js

#### 0.5.5

> 27 Sep 2019

- Dynamic speech response
- Dynamic header title for list 
- Template import & export 
- Fix for cursor issue
- Preview for custom-template


#### 0.5.4

> 17 Sep 2019

- Show More for List Template
- Bug Fixes

#### 0.5.3

> 13 Sep 2019

- Template Preview Bug Fixes

#### 0.5.2

> 09 Sep 2019

- CX fixes in Template Editor

#### 0.5.1

> 27 Aug 2019

- Speech response
- Add attributes for buttons
- Custom template support for channel webapp

#### 0.5.0

> 14 Aug 2019

- Major Release

#### 0.4.31

> 1 July 2019

- NCCSIT-70: List Template Upload image at tittle is not working as expected. [`#71`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/71)
- NCCSIT-69: List Template :: Bot Response shows code, instead of showing as per Preview configuration [`#69`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/69)

#### 0.4.30

> 25 June 2019

- PA-2649: CHANGELOG - 1. Dynamic List Header 2. Icon change for Custom Templates 3. Showing the custom icon [`#64`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/64)
- PA-2649: Dynamic list header, change in the JSON [`#63`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/63)
- PA-2672: Showing the Custom icon based on props [showCustomTemplates] [`#62`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/62)
- PA-2651: Custom Icon [`#61`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/61)
- PA-2649 dynamicListHeader [`#60`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/60)
- Fix/PA-2593 [`#55`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/55)
- Develop NTUC Fixes to develop branch [`#53`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/53)
- PA-2631: Support for add button default type postback in carousel [`#54`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/54)
- PA-2613: Support for image upload in template card,carousel,list,rblist [`#51`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/51)
- Fix/PA-2605 [`#50`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/50)
- Fix/PA-2579 [`#47`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/47)
- PA-2130: List ui modification [`#40`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/40)
- PA-2130: button length changed to 140 [`#39`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/39)
- PA-2130: Buttons contents length changed to 40 [`#38`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/38)
- Develop imageupload [`#36`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/36)
- PA-2296 develop 21May [`#35`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/35)
- PA-2130: Added unique key [`#31`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/31)
- PA-2130: IMPL > For custom, wraaping inside data-customtemplate [`#32`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/32)
- Custom/hide templatetype choice [`#30`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/30)
- Workflow editor [`#28`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/28)
- PA-2130: Duplicate template type handled [`#27`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/27)
- PA-2130 develop [`#26`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/26)
- PA-2296: RBList Template - Removed unwanted definition [`#25`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/25)
- PA-2296: RBList Template - Definition, Source & Preview Tab changes - Initial commit [`#24`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/24)
- PA-2296 develop rblisttemplate [`#22`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/22)
- PA-2296: RBList Template - Showing in the default list & field changes [`#21`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/21)
- PA-2130: dragIcon added to carousel [`#19`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/19)
- PA-2296: RBList Template - Added Show More [`#20`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/20)
- PA-2296: RBList Template Initial Commit [`#18`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/18)
- PA-2130: Image render in list after save [`#17`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/17)
- PA-2130: Image render in Template list [`#16`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/16)
- PA-2130: drag and drop for Template carousel [`#15`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/15)
- PA-2130 m impl [`#14`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/14)
- Faq demo [`#12`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/12)
- PA-2130: template button UI modification [`#10`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/10)
- FAQ Demo: Initial Commit [`#11`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/11)
- Origin/PA-2130 m ui impl 1 [`#9`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/9)
- Origin/PA-2130 m ui impl 1 [`#8`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/8)
- Origin/PA-2130 m ui impl 1 [`#7`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/7)
- PA-2130 Template List Ui modification [`#6`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/6)
- PA-2130 m ui impl [`#5`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/5)
- PA-2130 m ui impl [`#4`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/4)
- PA-2130 template editor [`#3`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/3)
- can select list of channels [`#2`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/2)
- delete,edit and save button added [`#1`](https://bitbucket.org/morfeus-product/admin-common-plugins/pull-requests/1)
- PA-2130: Bootstrap in template scss [`6f103e7`](https://bitbucket.org/morfeus-product/admin-common-plugins/commits/6f103e707cc9d560e280eca1686e1bfcd415b0d7)
- Initial Commit [`e023e37`](https://bitbucket.org/morfeus-product/admin-common-plugins/commits/e023e37f5c1470083e336f0e289a5857261cc7ad)
- multiple types added [`ebbf14f`](https://bitbucket.org/morfeus-product/admin-common-plugins/commits/ebbf14faa4aab5d30af73ec4ed1a3b2c03626ef3)
