var _jsxFileName = 'src/lib/assets/icons/IconCard.js',
    _this = this;

import React from 'react';
import cx from 'classnames';

var IconCard = function IconCard(_ref) {
  var className = _ref.className,
      id = _ref.id,
      onClick = _ref.onClick;
  return React.createElement(
    'svg',
    {
      width: '250px',
      height: '250px',
      viewBox: '0 0 250 250',
      version: '1.1',
      xmlns: 'http://www.w3.org/2000/svg',
      id: id,
      className: cx('svg-icon', className),
      onClick: onClick, __source: {
        fileName: _jsxFileName,
        lineNumber: 5
      },
      __self: _this
    },
    React.createElement(
      'title',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 14
        },
        __self: _this
      },
      'card'
    ),
    React.createElement(
      'desc',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 15
        },
        __self: _this
      },
      'Created with Sketch.'
    ),
    React.createElement(
      'g',
      { id: 'Page-1', stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', __source: {
          fileName: _jsxFileName,
          lineNumber: 16
        },
        __self: _this
      },
      React.createElement(
        'g',
        { id: 'card', transform: 'translate(0.000000, -0.000000)', __source: {
            fileName: _jsxFileName,
            lineNumber: 17
          },
          __self: _this
        },
        React.createElement('rect', {
          id: 'Rectangle-Copy-26',
          fill: '#F1F7FE',
          x: '0',
          y: '0',
          width: '250',
          height: '250',
          rx: '6',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 18
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M6,0 L244,0 C247.313708,-6.08718376e-16 250,2.6862915 250,6 L250,23 L0,23 L0,6 C-4.05812251e-16,2.6862915 2.6862915,6.08718376e-16 6,0 Z',
          id: 'Rectangle-Copy-27',
          fill: '#D7E8FB',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 27
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-27', fill: '#619EEF', cx: '13', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 32
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-28', fill: '#619EEF', cx: '25', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 33
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-29', fill: '#619EEF', cx: '37', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 34
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M69,59 L181,59 C185.418278,59 189,62.581722 189,67 L189,146 L61,146 L61,67 C61,62.581722 64.581722,59 69,59 Z',
          id: 'Rectangle-Copy-28',
          fill: '#FFFFFF',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 35
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M69,152 L181,152 C185.418278,152 189,155.581722 189,160 L189,194 L61,194 L61,160 C61,155.581722 64.581722,152 69,152 Z',
          id: 'Rectangle-Copy-29',
          fill: '#FFFFFF',
          transform: 'translate(125.000000, 173.000000) scale(1, -1) translate(-125.000000, -173.000000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 40
          },
          __self: _this
        }),
        React.createElement('rect', {
          id: 'Rectangle-Copy-31',
          fill: '#4F94F7',
          transform: 'translate(152.500000, 173.000000) scale(1, -1) translate(-152.500000, -173.000000) ',
          x: '130',
          y: '167',
          width: '45',
          height: '12',
          rx: '2',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 46
          },
          __self: _this
        }),
        React.createElement('rect', {
          id: 'Rectangle-Copy-36',
          fillOpacity: '0.5',
          fill: '#D7E8FB',
          transform: 'translate(97.500000, 173.000000) scale(1, -1) translate(-97.500000, -173.000000) ',
          x: '75',
          y: '167',
          width: '45',
          height: '12',
          rx: '2',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 56
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M170.98527,98 L80.01473,98 C79.4546465,98 79,99.1191405 79,100.5 C79,101.880859 79.4546465,103 80.01473,103 L170.98527,103 C171.54575,103 172,101.88086 172,100.5 C172,99.1191405 171.54575,98 170.98527,98 Z',
          id: 'Path-Copy-47',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(125.500000, 100.500000) rotate(180.000000) translate(-125.500000, -100.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 67
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M170.98527,109 L80.01473,109 C79.4546465,109 79,110.11914 79,111.5 C79,112.880859 79.4546465,114 80.01473,114 L170.98527,114 C171.54575,114 172,112.88086 172,111.5 C172,110.119141 171.54575,109 170.98527,109 Z',
          id: 'Path-Copy-48',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(125.500000, 111.500000) rotate(180.000000) translate(-125.500000, -111.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 74
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M170.98527,121 L80.01473,121 C79.4546465,121 79,122.11914 79,123.5 C79,124.880859 79.4546465,126 80.01473,126 L170.98527,126 C171.54575,126 172,124.88086 172,123.5 C172,122.119141 171.54575,121 170.98527,121 Z',
          id: 'Path-Copy-48',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(125.500000, 123.500000) rotate(180.000000) translate(-125.500000, -123.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 81
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M116.974359,82 L80.025641,82 C79.4595352,82 79,82.8953124 79,84 C79,85.1046876 79.4595352,86 80.025641,86 L116.974359,86 C117.540865,86 118,85.1046876 118,84 C118,82.8953124 117.540865,82 116.974359,82 Z',
          id: 'Path-Copy-49',
          fill: '#B8D4FA',
          fillRule: 'nonzero',
          transform: 'translate(98.500000, 84.000000) rotate(180.000000) translate(-98.500000, -84.000000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 88
          },
          __self: _this
        })
      )
    )
  );
};
export default IconCard;