var _jsxFileName = 'src/lib/assets/icons/IconMove.js',
    _this = this;

import React from 'react';
import cx from 'classnames';

var IconMove = function IconMove(_ref) {
  var index = _ref.index,
      onMessagePosAlter = _ref.onMessagePosAlter,
      hideUpIcon = _ref.hideUpIcon,
      hideDownIcon = _ref.hideDownIcon,
      horizontal = _ref.horizontal;
  return React.createElement(
    'svg',
    {
      version: '1.1',
      className: cx(horizontal ? 'iconHorizontalMove' : 'iconMove', hideUpIcon && !horizontal && 'mt-n30', !hideUpIcon && !horizontal && !hideDownIcon && 'mt-n10'),
      id: 'Capa_1',
      xmlns: 'http://www.w3.org/2000/svg',
      x: '0px',
      y: '0px',
      width: '40px',
      height: '35px',
      viewBox: '0 0 32 32',
      style: { enableBackground: 'new 0 0 32 32' },
      xmlSpace: 'preserve', __source: {
        fileName: _jsxFileName,
        lineNumber: 11
      },
      __self: _this
    },
    React.createElement(
      'g',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 27
        },
        __self: _this
      },
      React.createElement(
        'g',
        { id: 'move_x5F_vertical', __source: {
            fileName: _jsxFileName,
            lineNumber: 28
          },
          __self: _this
        },
        React.createElement(
          'g',
          {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 29
            },
            __self: _this
          },
          !hideDownIcon && React.createElement('polygon', {
            onClick: function onClick() {
              return onMessagePosAlter(index);
            },
            style: { fill: '#030104' },
            points: '18,20 18,26 22,26 16,32 10,26 14,26 14,20 \t\t\t',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 31
            },
            __self: _this
          }),
          !hideUpIcon && React.createElement('polygon', {
            className: cx(!hideDownIcon && 'mt-n20'),
            onClick: function onClick() {
              return onMessagePosAlter(index, true);
            },
            style: { fill: '#030104' },
            points: '14,12 14,6 10,6 16,0 22,6 18,6 18,12 \t\t\t',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 38
            },
            __self: _this
          })
        )
      )
    ),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 48
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 49
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 50
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 51
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 52
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 53
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 54
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 55
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 56
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 57
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 58
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 59
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 60
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 61
      },
      __self: _this
    }),
    React.createElement('g', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 62
      },
      __self: _this
    })
  );
};
export default IconMove;