var _jsxFileName = "src/lib/assets/icons/IconPlay.js",
    _this = this;

import React from 'react';

var IconPlay = function IconPlay(_ref) {
  var textToSpeech = _ref.textToSpeech,
      className = _ref.className;
  return React.createElement(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: "24",
      height: "24",
      viewBox: "0 0 24 24",
      fill: "#fff",
      stroke: "currentColor",
      strokeWidth: "2",
      strokeLinecap: "round",
      strokeLinejoin: "round",
      className: className,
      onClick: textToSpeech, __source: {
        fileName: _jsxFileName,
        lineNumber: 4
      },
      __self: _this
    },
    React.createElement("polygon", { points: "5 3 19 12 5 21 5 3", __source: {
        fileName: _jsxFileName,
        lineNumber: 16
      },
      __self: _this
    })
  );
};
export default IconPlay;