var _jsxFileName = 'src/lib/assets/icons/IconResponseImage.js',
    _this = this;

import React from 'react';
import cx from 'classnames';

var IconResponseImage = function IconResponseImage(_ref) {
  var className = _ref.className,
      id = _ref.id,
      onClick = _ref.onClick;
  return React.createElement(
    'svg',
    {
      width: '250px',
      height: '250px',
      viewBox: '0 0 250 250',
      version: '1.1',
      xmlns: 'http://www.w3.org/2000/svg',
      id: id,
      className: cx('svg-icon', className),
      onClick: onClick, __source: {
        fileName: _jsxFileName,
        lineNumber: 5
      },
      __self: _this
    },
    React.createElement(
      'title',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 14
        },
        __self: _this
      },
      'image'
    ),
    React.createElement(
      'desc',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 15
        },
        __self: _this
      },
      'Created with Sketch.'
    ),
    React.createElement(
      'g',
      { id: 'Page-1', stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', __source: {
          fileName: _jsxFileName,
          lineNumber: 16
        },
        __self: _this
      },
      React.createElement(
        'g',
        { id: 'image', transform: 'translate(0.000000, -0.000000)', __source: {
            fileName: _jsxFileName,
            lineNumber: 17
          },
          __self: _this
        },
        React.createElement('rect', {
          id: 'Rectangle',
          fill: '#F1F7FE',
          x: '0',
          y: '0',
          width: '250',
          height: '250',
          rx: '6',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 18
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M6,0 L244,0 C247.313708,-6.08718376e-16 250,2.6862915 250,6 L250,23 L0,23 L0,6 C-4.05812251e-16,2.6862915 2.6862915,6.08718376e-16 6,0 Z',
          id: 'Rectangle-Copy',
          fill: '#D7E8FB',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 27
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-6', fill: '#619EEF', cx: '13', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 32
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-7', fill: '#619EEF', cx: '25', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 33
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-8', fill: '#619EEF', cx: '37', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 34
          },
          __self: _this
        }),
        React.createElement(
          'g',
          {
            id: 'image-(1)',
            transform: 'translate(53.000000, 72.000000)',
            fillRule: 'nonzero', __source: {
              fileName: _jsxFileName,
              lineNumber: 35
            },
            __self: _this
          },
          React.createElement('path', {
            d: 'M131.016393,0 L12.9836066,0 C5.8232581,0 0,5.93091464 0,13.054741 L0,86.9525893 L39.336578,61.0266322 C43.2264346,58.0275288 48.5778689,57.7461239 52.7628075,60.3215902 L80.1654712,77.2380022 L91.9871925,64.978536 C95.9846313,60.789579 102.46414,60.1518299 107.208504,63.4812782 L144,87 L144,13.054741 C144,5.93091464 138.176742,0 131.016393,0 Z M56.3744876,52.6058958 C43.7766393,52.6058958 33.564037,42.4432021 33.564037,29.9069191 C33.564037,17.3706362 43.7766393,7.20794209 56.3744876,7.20794209 C68.9723363,7.20794209 79.1849386,17.3706362 79.1849386,29.9069191 C79.1711064,42.4370846 68.9661883,52.5921315 56.3744876,52.6058958 Z',
            id: 'Shape',
            fill: '#D7E8FB',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 39
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M50.3037248,64.9584736 C48.0321644,63.5381015 45.1235725,63.7093631 43.0291377,65.3858422 C42.9654346,65.437692 42.9017316,65.4848285 42.8333669,65.5303934 L0,94.2882147 C0.814157545,100.945424 6.38895838,105.959149 13.0234071,106 L54.0793011,106 L77,81.7751139 L50.3037248,64.9584736 Z',
            id: 'Path',
            fill: '#B8D4FA',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 44
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M104.509146,68.1479133 C101.987805,66.3343113 98.5533534,66.7042422 96.4512195,69.0131755 L62,106 L131.221036,106 C137.734756,105.959245 143.205793,100.952637 144,94.3048527 L104.606707,68.2513688 C104.574695,68.2278561 104.542683,68.171426 104.509146,68.1479133 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 49
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M73,30.5007774 C73,40.1652232 65.389412,48 55.9999998,48 C46.610588,48 39,40.1652232 39,30.5007774 C39,20.8347768 46.610588,13 55.9999998,13 C65.389412,13 73,20.8347768 73,30.5007774 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 54
            },
            __self: _this
          })
        )
      )
    )
  );
};
export default IconResponseImage;