var _jsxFileName = 'src/lib/assets/icons/IconResponseList.js',
    _this = this;

import React from 'react';
import cx from 'classnames';

var IconResponseList = function IconResponseList(_ref) {
  var className = _ref.className,
      id = _ref.id,
      onClick = _ref.onClick;
  return React.createElement(
    'svg',
    {
      width: '250px',
      height: '250px',
      viewBox: '0 0 250 250',
      version: '1.1',
      xmlns: 'http://www.w3.org/2000/svg',
      id: id,
      className: cx('svg-icon', className),
      onClick: onClick, __source: {
        fileName: _jsxFileName,
        lineNumber: 5
      },
      __self: _this
    },
    '>',
    React.createElement(
      'title',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 14
        },
        __self: _this
      },
      'List'
    ),
    React.createElement(
      'g',
      {
        id: 'Page-1',
        stroke: 'none',
        strokeWidth: '1',
        fill: 'none',
        fillRule: 'evenodd', __source: {
          fileName: _jsxFileName,
          lineNumber: 15
        },
        __self: _this
      },
      React.createElement(
        'g',
        { id: 'list-new', __source: {
            fileName: _jsxFileName,
            lineNumber: 21
          },
          __self: _this
        },
        React.createElement('rect', {
          id: 'Rectangle-Copy-11',
          fill: '#F1F7FE',
          x: '0',
          y: '0',
          width: '250',
          height: '250',
          rx: '6',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 22
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M6,0 L244,0 C247.313708,-6.08718376e-16 250,2.6862915 250,6 L250,23 L250,23 L0,23 L0,6 C-4.05812251e-16,2.6862915 2.6862915,6.08718376e-16 6,0 Z',
          id: 'Rectangle-Copy-15',
          fill: '#D7E8FB',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 31
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-18', fill: '#619EEF', cx: '13', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 36
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-19', fill: '#619EEF', cx: '25', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 37
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-20', fill: '#619EEF', cx: '37', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 38
          },
          __self: _this
        }),
        React.createElement('rect', {
          id: 'Rectangle-Copy-16',
          fill: '#FFFFFF',
          x: '25',
          y: '49',
          width: '200',
          height: '178',
          rx: '8',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 39
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M224.794476,49 L24.7944755,49 L24.2944755,77.5 C24.2944755,93.2417983 23.4594647,103.772087 29.5541731,106 L219.034778,106 C228.590653,105.438586 224.794476,79.2589744 224.794476,77.5 L224.794476,49 Z',
          id: 'Path-Copy-38',
          fill: '#D7E8FB',
          fillRule: 'nonzero',
          opacity: '0.701520647',
          transform: 'translate(124.897238, 77.500000) rotate(180.000000) translate(-124.897238, -77.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 48
          },
          __self: _this
        }),
        React.createElement('rect', {
          id: 'Rectangle-Copy-17',
          fill: '#4F94F7',
          transform: 'translate(70.500000, 211.000000) scale(1, -1) translate(-70.500000, -211.000000) ',
          x: '43',
          y: '205',
          width: '55',
          height: '12',
          rx: '2',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 56
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M142.897981,128 L44.1020185,128 C43.4937559,128 43,134.491015 43,142.5 C43,150.508985 43.4937559,157 44.1020185,157 L142.897981,157 C143.506674,157 144,150.508985 144,142.5 C144,134.491015 143.506674,128 142.897981,128 Z',
          id: 'Path-Copy-22',
          fill: '#C5E0FE',
          fillRule: 'nonzero',
          transform: 'translate(93.500000, 142.500000) rotate(180.000000) translate(-93.500000, -142.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 66
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M188.818,85 L56.181577,85 C54.1494022,85 54.4997887,85.8953124 54.4997887,87 C54.4997887,88.1046876 54.1494022,89 56.181577,89 L188.818,89 C190.851613,89 190.499789,88.1046876 190.499789,87 C190.499789,85.8953124 190.851613,85 188.818,85 Z',
          id: 'Path-Copy-26',
          fill: '#3A80DF',
          fillRule: 'nonzero',
          transform: 'translate(122.499894, 87.000000) rotate(180.000000) translate(-122.499894, -87.000000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 73
          },
          __self: _this
        }),
        React.createElement(
          'g',
          {
            id: 'image-(1)',
            transform: 'translate(165.000000, 128.000000)',
            fillRule: 'nonzero', __source: {
              fileName: _jsxFileName,
              lineNumber: 80
            },
            __self: _this
          },
          React.createElement('path', {
            d: 'M37.3032787,0 L3.69672131,0 C1.65801099,0 0,1.77245725 0,3.90141686 L0,25.9858313 L11.1999979,18.2378441 C12.3075265,17.3415603 13.8311988,17.2574623 15.0227438,18.0271419 L22.8248911,23.0826214 L26.1907979,19.4188728 C27.3289575,18.1670006 29.1738175,17.9764089 30.5246435,18.9714165 L41,26 L41,3.90141686 C41,1.77245725 39.341989,0 37.3032787,0 Z M16.0510694,15.7213022 C12.464182,15.7213022 9.5564272,12.6841753 9.5564272,8.93769997 C9.5564272,5.1912246 12.464182,2.15409763 16.0510694,2.15409763 C19.6379569,2.15409763 22.5457117,5.1912246 22.5457117,8.93769997 C22.5417733,12.6823471 19.6362064,15.7171887 16.0510694,15.7213022 Z',
            id: 'Shape',
            fill: '#D7E8FB',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 84
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M14.3724928,19.2738496 C13.7234755,18.868029 12.8924493,18.9169609 12.2940393,19.3959549 C12.2758385,19.4107691 12.2576376,19.4242367 12.2381048,19.4372553 L0,27.6537756 C0.232616441,29.5558353 1.82541668,30.9883282 3.72097345,31 L15.4512289,31 L22,24.078604 L14.3724928,19.2738496 Z',
            id: 'Path',
            fill: '#B8D4FA',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 89
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M29.9232971,19.3532041 C29.2160916,18.7951727 28.2527698,18.9089976 27.6631469,19.6194386 L18,31 L37.4156566,31 C39.2426754,30.98746 40.7772346,29.4469653 41,27.4014931 L29.9506618,19.3850366 C29.9416828,19.3778019 29.9327037,19.3604388 29.9232971,19.3532041 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 94
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M21,9.00022212 C21,11.7614923 18.7615918,14 16,14 C13.2384082,14 11,11.7614923 11,9.00022212 C11,6.23850766 13.2384082,4 16,4 C18.7615918,4 21,6.23850766 21,9.00022212 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 99
            },
            __self: _this
          })
        ),
        React.createElement('path', {
          d: 'M142.897981,165 L44.1020185,165 C43.4937559,165 43,171.491015 43,179.5 C43,187.508985 43.4937559,194 44.1020185,194 L142.897981,194 C143.506674,194 144,187.508985 144,179.5 C144,171.491015 143.506674,165 142.897981,165 Z',
          id: 'Path-Copy-22',
          fill: '#C5E0FE',
          fillRule: 'nonzero',
          transform: 'translate(93.500000, 179.500000) rotate(180.000000) translate(-93.500000, -179.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 105
          },
          __self: _this
        }),
        React.createElement(
          'g',
          {
            id: 'image-(1)',
            transform: 'translate(165.000000, 165.000000)',
            fillRule: 'nonzero', __source: {
              fileName: _jsxFileName,
              lineNumber: 112
            },
            __self: _this
          },
          React.createElement('path', {
            d: 'M37.3032787,0 L3.69672131,0 C1.65801099,0 0,1.77245725 0,3.90141686 L0,25.9858313 L11.1999979,18.2378441 C12.3075265,17.3415603 13.8311988,17.2574623 15.0227438,18.0271419 L22.8248911,23.0826214 L26.1907979,19.4188728 C27.3289575,18.1670006 29.1738175,17.9764089 30.5246435,18.9714165 L41,26 L41,3.90141686 C41,1.77245725 39.341989,0 37.3032787,0 Z M16.0510694,15.7213022 C12.464182,15.7213022 9.5564272,12.6841753 9.5564272,8.93769997 C9.5564272,5.1912246 12.464182,2.15409763 16.0510694,2.15409763 C19.6379569,2.15409763 22.5457117,5.1912246 22.5457117,8.93769997 C22.5417733,12.6823471 19.6362064,15.7171887 16.0510694,15.7213022 Z',
            id: 'Shape',
            fill: '#D7E8FB',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 116
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M14.3724928,19.2738496 C13.7234755,18.868029 12.8924493,18.9169609 12.2940393,19.3959549 C12.2758385,19.4107691 12.2576376,19.4242367 12.2381048,19.4372553 L0,27.6537756 C0.232616441,29.5558353 1.82541668,30.9883282 3.72097345,31 L15.4512289,31 L22,24.078604 L14.3724928,19.2738496 Z',
            id: 'Path',
            fill: '#B8D4FA',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 121
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M29.9232971,19.3532041 C29.2160916,18.7951727 28.2527698,18.9089976 27.6631469,19.6194386 L18,31 L37.4156566,31 C39.2426754,30.98746 40.7772346,29.4469653 41,27.4014931 L29.9506618,19.3850366 C29.9416828,19.3778019 29.9327037,19.3604388 29.9232971,19.3532041 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 126
            },
            __self: _this
          }),
          React.createElement('path', {
            d: 'M21,9.00022212 C21,11.7614923 18.7615918,14 16,14 C13.2384082,14 11,11.7614923 11,9.00022212 C11,6.23850766 13.2384082,4 16,4 C18.7615918,4 21,6.23850766 21,9.00022212 Z',
            id: 'Path',
            fill: '#A7CAF9',
            __source: {
              fileName: _jsxFileName,
              lineNumber: 131
            },
            __self: _this
          })
        )
      )
    )
  );
};

export default IconResponseList;