var _jsxFileName = 'src/lib/assets/icons/IconResponseText.js',
    _this = this;

import React from 'react';
import cx from 'classnames';

var IconResponseText = function IconResponseText(_ref) {
  var className = _ref.className,
      id = _ref.id,
      onClick = _ref.onClick;
  return React.createElement(
    'svg',
    {
      width: '250px',
      height: '250px',
      viewBox: '0 0 250 250',
      version: '1.1',
      xmlns: 'http://www.w3.org/2000/svg',
      id: id,
      className: cx('svg-icon', className),
      onClick: onClick, __source: {
        fileName: _jsxFileName,
        lineNumber: 5
      },
      __self: _this
    },
    '>',
    React.createElement(
      'title',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 14
        },
        __self: _this
      },
      'text'
    ),
    React.createElement(
      'desc',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 15
        },
        __self: _this
      },
      'Created with Sketch.'
    ),
    React.createElement(
      'g',
      { id: 'Page-1', stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', __source: {
          fileName: _jsxFileName,
          lineNumber: 16
        },
        __self: _this
      },
      React.createElement(
        'g',
        { id: 'text', transform: 'translate(0.000000, -0.000000)', __source: {
            fileName: _jsxFileName,
            lineNumber: 17
          },
          __self: _this
        },
        React.createElement('rect', {
          id: 'Rectangle-Copy-20',
          fill: '#F1F7FE',
          x: '0',
          y: '0',
          width: '250',
          height: '250',
          rx: '6',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 18
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M6,0 L244,0 C247.313708,-6.08718376e-16 250,2.6862915 250,6 L250,23 L0,23 L0,6 C-4.05812251e-16,2.6862915 2.6862915,6.08718376e-16 6,0 Z',
          id: 'Rectangle-Copy-21',
          fill: '#D7E8FB',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 27
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-21', fill: '#619EEF', cx: '13', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 32
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-22', fill: '#619EEF', cx: '25', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 33
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-23', fill: '#619EEF', cx: '37', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 34
          },
          __self: _this
        }),
        React.createElement('rect', {
          id: 'Rectangle-Copy-22',
          fill: '#FFFFFF',
          x: '16',
          y: '44',
          width: '217',
          height: '185',
          rx: '4',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 35
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M57,153 L71.7671233,117 L77.2328767,117 L92,153 L85.7671233,153 L82.3630137,144.370213 L66.4931507,144.370213 L63.0410959,153 L57,153 Z M69,138 L80,138 L74.4771784,125 L69,138 Z M121,153.436929 L114.987474,153.436929 L114.987474,150.109689 C113.183716,152.310786 110.427975,154 106.419624,154 C101.409186,154 97,151.082267 97,145.656307 L97,145.553931 C97,139.564899 101.559499,136.698355 107.722338,136.698355 C110.929019,136.698355 112.983299,137.159049 115.037578,137.824497 L115.037578,137.312614 C115.037578,133.575868 112.732777,131.528336 108.524008,131.528336 C105.56785,131.528336 103.363257,132.193784 100.958246,133.21755 L99.3048017,128.252285 C102.210856,126.921389 105.066806,126 109.375783,126 C117.192067,126 121,130.197441 121,137.414991 L121,153.436929 Z M114,144.833333 L114,143.166667 C112.590909,142.5 110.636364,142 108.5,142 C105.045455,142 103,143.722222 103,146.555556 L103,146.666667 C103,149.444444 105.045455,151 107.636364,151 C111.272727,151 114,148.5 114,144.833333 Z',
          id: 'Aa',
          fill: '#619EEF',
          fillRule: 'nonzero',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 44
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M188.867158,133 L132.132842,133 C131.783543,133 131.5,134.566797 131.5,136.5 C131.5,138.433203 131.783543,140 132.132842,140 L188.867158,140 C189.216704,140 189.5,138.433203 189.5,136.5 C189.5,134.566797 189.216704,133 188.867158,133 Z',
          id: 'Path-Copy-24',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(160.500000, 136.500000) rotate(180.000000) translate(-160.500000, -136.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 50
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M188.867158,147 L132.132842,147 C131.783543,147 131.5,148.566797 131.5,150.5 C131.5,152.433203 131.783543,154 132.132842,154 L188.867158,154 C189.216704,154 189.5,152.433203 189.5,150.5 C189.5,148.566797 189.216704,147 188.867158,147 Z',
          id: 'Path-Copy-27',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(160.500000, 150.500000) rotate(180.000000) translate(-160.500000, -150.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 57
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M166.553254,119 L132.446746,119 C131.924186,119 131.5,120.342969 131.5,122 C131.5,123.657031 131.924186,125 132.446746,125 L166.553254,125 C167.076183,125 167.5,123.657031 167.5,122 C167.5,120.342969 167.076183,119 166.553254,119 Z',
          id: 'Path-Copy-28',
          fill: '#B8D4FA',
          fillRule: 'nonzero',
          transform: 'translate(149.500000, 122.000000) rotate(180.000000) translate(-149.500000, -122.000000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 64
          },
          __self: _this
        })
      )
    )
  );
};

export default IconResponseText;