var _jsxFileName = "src/lib/assets/icons/IconSquare.js",
    _this = this;

import React from 'react';

var IconSquare = function IconSquare(_ref) {
  var textToSpeech = _ref.textToSpeech,
      className = _ref.className;
  return React.createElement(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: "24",
      height: "24",
      viewBox: "0 0 24 24",
      fill: "none",
      stroke: "currentColor",
      strokeWidth: "2",
      strokeLinecap: "round",
      strokeLinejoin: "round",
      className: className,
      onClick: textToSpeech, __source: {
        fileName: _jsxFileName,
        lineNumber: 4
      },
      __self: _this
    },
    React.createElement("rect", { x: "3", y: "3", width: "18", height: "18", rx: "2", ry: "2", __source: {
        fileName: _jsxFileName,
        lineNumber: 16
      },
      __self: _this
    })
  );
};
export default IconSquare;