var _jsxFileName = 'src/lib/assets/icons/IconSsml.js',
    _this = this;

import React from 'react';
import cx from 'classnames';

var IconSsml = function IconSsml(_ref) {
  var className = _ref.className,
      id = _ref.id,
      onClick = _ref.onClick;
  return React.createElement(
    'svg',
    {
      width: '250px',
      height: '250px',
      viewBox: '0 0 250 250',
      version: '1.1',
      xmlns: 'http://www.w3.org/2000/svg',
      id: id,
      className: cx('svg-icon', className),
      onClick: onClick, __source: {
        fileName: _jsxFileName,
        lineNumber: 5
      },
      __self: _this
    },
    React.createElement(
      'title',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 14
        },
        __self: _this
      },
      'SSML'
    ),
    React.createElement(
      'desc',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 15
        },
        __self: _this
      },
      'Created with Sketch.'
    ),
    React.createElement(
      'g',
      { id: 'Page-1', stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', __source: {
          fileName: _jsxFileName,
          lineNumber: 16
        },
        __self: _this
      },
      React.createElement(
        'g',
        { id: 'SSML', transform: 'translate(0.000000, -0.000000)', __source: {
            fileName: _jsxFileName,
            lineNumber: 17
          },
          __self: _this
        },
        React.createElement('rect', {
          id: 'Rectangle-Copy-23',
          fill: '#F1F7FE',
          x: '0',
          y: '0',
          width: '250',
          height: '250',
          rx: '6',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 18
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M6,0 L244,0 C247.313708,-6.08718376e-16 250,2.6862915 250,6 L250,23 L0,23 L0,6 C-4.05812251e-16,2.6862915 2.6862915,6.08718376e-16 6,0 Z',
          id: 'Rectangle-Copy-24',
          fill: '#D7E8FB',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 27
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-24', fill: '#619EEF', cx: '13', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 32
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-25', fill: '#619EEF', cx: '25', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 33
          },
          __self: _this
        }),
        React.createElement('circle', { id: 'Oval-Copy-26', fill: '#619EEF', cx: '37', cy: '11', r: '3', __source: {
            fileName: _jsxFileName,
            lineNumber: 34
          },
          __self: _this
        }),
        React.createElement('rect', {
          id: 'Rectangle-Copy-25',
          fill: '#FFFFFF',
          x: '16',
          y: '44',
          width: '217',
          height: '185',
          rx: '4',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 35
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M41,97 L51.5479452,73 L55.4520548,73 L66,97 L61.5479452,97 L59.1164384,91.2468085 L47.7808219,91.2468085 L45.3150685,97 L41,97 Z M50,87 L58,87 L53.9834025,78 L50,87 Z M86,97.6179159 L81.7411273,97.6179159 L81.7411273,95.3601463 C80.4634656,96.8537477 78.5114823,98 75.6722338,98 C72.1231733,98 69,96.0201097 69,92.3382084 L69,92.2687386 C69,88.2047532 72.2296451,86.2595978 76.5949896,86.2595978 C78.8663883,86.2595978 80.3215031,86.5722121 81.776618,87.023766 L81.776618,86.6764168 C81.776618,84.1407678 80.1440501,82.7513711 77.1628392,82.7513711 C75.0688935,82.7513711 73.5073069,83.202925 71.8037578,83.8976234 L70.6325678,80.5283364 C72.691023,79.6252285 74.7139875,79 77.7661795,79 C83.302714,79 86,81.8482633 86,86.7458867 L86,97.6179159 Z M82,91.8888889 L82,90.7777778 C80.9752066,90.3333333 79.553719,90 78,90 C75.4876033,90 74,91.1481481 74,93.037037 L74,93.1111111 C74,94.962963 75.4876033,96 77.3719008,96 C80.0165289,96 82,94.3333333 82,91.8888889 Z',
          id: 'Aa-Copy',
          fill: '#619EEF',
          fillRule: 'nonzero',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 44
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M204.810693,82 L98.1893071,82 C97.5328653,82 97,83.1191405 97,84.5 C97,85.8808595 97.5328653,87 98.1893071,87 L204.810693,87 C205.467599,87 206,85.8808595 206,84.5 C206,83.1191405 205.467599,82 204.810693,82 Z',
          id: 'Path-Copy-29',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(151.500000, 84.500000) rotate(180.000000) translate(-151.500000, -84.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 50
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M204.810693,93 L98.1893071,93 C97.5328653,93 97,94.1191405 97,95.5 C97,96.8808595 97.5328653,98 98.1893071,98 L204.810693,98 C205.467599,98 206,96.8808595 206,95.5 C206,94.1191405 205.467599,93 204.810693,93 Z',
          id: 'Path-Copy-30',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(151.500000, 95.500000) rotate(180.000000) translate(-151.500000, -95.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 57
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M204.238001,73 L140.761999,73 C139.789458,73 139,73.8953124 139,75 C139,76.1046876 139.789458,77 140.761999,77 L204.238001,77 C205.21123,77 206,76.1046876 206,75 C206,73.8953124 205.21123,73 204.238001,73 Z',
          id: 'Path-Copy-31',
          fill: '#B8D4FA',
          fillRule: 'nonzero',
          transform: 'translate(172.500000, 75.000000) rotate(180.000000) translate(-172.500000, -75.000000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 64
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M204.199673,134 L42.8003273,134 C41.8066309,134 41,135.11914 41,136.5 C41,137.880859 41.8066309,139 42.8003273,139 L204.199673,139 C205.194072,139 206,137.88086 206,136.5 C206,135.119141 205.194072,134 204.199673,134 Z',
          id: 'Path-Copy-32',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(123.500000, 136.500000) rotate(180.000000) translate(-123.500000, -136.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 71
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M204.199673,145 L42.8003273,145 C41.8066309,145 41,146.11914 41,147.5 C41,148.880859 41.8066309,150 42.8003273,150 L204.199673,150 C205.194072,150 206,148.88086 206,147.5 C206,146.119141 205.194072,145 204.199673,145 Z',
          id: 'Path-Copy-33',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(123.500000, 147.500000) rotate(180.000000) translate(-123.500000, -147.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 78
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M204.238001,125 L140.761999,125 C139.789458,125 139,125.895312 139,127 C139,128.104688 139.789458,129 140.761999,129 L204.238001,129 C205.21123,129 206,128.104688 206,127 C206,125.895312 205.21123,125 204.238001,125 Z',
          id: 'Path-Copy-34',
          fill: '#B8D4FA',
          fillRule: 'nonzero',
          transform: 'translate(172.500000, 127.000000) rotate(180.000000) translate(-172.500000, -127.000000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 85
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M204.199673,184 L42.8003273,184 C41.8066309,184 41,185.11914 41,186.5 C41,187.880859 41.8066309,189 42.8003273,189 L204.199673,189 C205.194072,189 206,187.88086 206,186.5 C206,185.119141 205.194072,184 204.199673,184 Z',
          id: 'Path-Copy-35',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(123.500000, 186.500000) rotate(180.000000) translate(-123.500000, -186.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 92
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M204.199673,195 L42.8003273,195 C41.8066309,195 41,196.11914 41,197.5 C41,198.880859 41.8066309,200 42.8003273,200 L204.199673,200 C205.194072,200 206,198.88086 206,197.5 C206,196.119141 205.194072,195 204.199673,195 Z',
          id: 'Path-Copy-36',
          fill: '#F1F7FE',
          fillRule: 'nonzero',
          transform: 'translate(123.500000, 197.500000) rotate(180.000000) translate(-123.500000, -197.500000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 99
          },
          __self: _this
        }),
        React.createElement('path', {
          d: 'M204.238001,175 L140.761999,175 C139.789458,175 139,175.895312 139,177 C139,178.104688 139.789458,179 140.761999,179 L204.238001,179 C205.21123,179 206,178.104688 206,177 C206,175.895312 205.21123,175 204.238001,175 Z',
          id: 'Path-Copy-37',
          fill: '#B8D4FA',
          fillRule: 'nonzero',
          transform: 'translate(172.500000, 177.000000) rotate(180.000000) translate(-172.500000, -177.000000) ',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 106
          },
          __self: _this
        })
      )
    )
  );
};
export default IconSsml;