var _jsxFileName = 'src/lib/components/TemplateAddButton.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { UncontrolledButtonDropdown, DropdownMenu, DropdownItem, DropdownToggle } from 'reactstrap';

var TemplateAddButton = function (_Component) {
  _inherits(TemplateAddButton, _Component);

  function TemplateAddButton() {
    _classCallCheck(this, TemplateAddButton);

    return _possibleConstructorReturn(this, (TemplateAddButton.__proto__ || Object.getPrototypeOf(TemplateAddButton)).apply(this, arguments));
  }

  _createClass(TemplateAddButton, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          _onClick = _props.onClick,
          _props$types = _props.types,
          types = _props$types === undefined ? ['external Url', 'postback'] : _props$types,
          save = _props.save;

      return React.createElement(
        'div',
        { className: 'bot-response__ItemAddButton', __source: {
            fileName: _jsxFileName,
            lineNumber: 13
          },
          __self: this
        },
        React.createElement(
          UncontrolledButtonDropdown,
          {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 14
            },
            __self: this
          },
          React.createElement(
            DropdownToggle,
            {
              disabled: save,
              tag: 'button',
              className: 'btn btn-outline-primary', __source: {
                fileName: _jsxFileName,
                lineNumber: 15
              },
              __self: this
            },
            'Add Button'
          ),
          React.createElement(
            DropdownMenu,
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 21
              },
              __self: this
            },
            types.map(function (type, index) {
              return React.createElement(
                DropdownItem,
                {
                  disabled: save,
                  className: 'bot-response__ItemAddButtonType',
                  key: index,
                  onClick: function onClick() {
                    return _onClick(type);
                  }, __source: {
                    fileName: _jsxFileName,
                    lineNumber: 23
                  },
                  __self: _this2
                },
                type
              );
            })
          )
        )
      );
    }
  }]);

  return TemplateAddButton;
}(Component);

export default TemplateAddButton;