var _jsxFileName = 'src/lib/components/TemplateButtonPreview.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import cx from 'classnames';

var TemplateButtonPreview = function (_Component) {
  _inherits(TemplateButtonPreview, _Component);

  function TemplateButtonPreview() {
    _classCallCheck(this, TemplateButtonPreview);

    return _possibleConstructorReturn(this, (TemplateButtonPreview.__proto__ || Object.getPrototypeOf(TemplateButtonPreview)).apply(this, arguments));
  }

  _createClass(TemplateButtonPreview, [{
    key: 'getButtons',
    value: function getButtons() {
      var _this2 = this;

      var _props = this.props,
          content = _props.content,
          channel = _props.channel;


      return content.buttons.map(function (button, index) {
        if (channel === 'Amazon Alexa') {
          return React.createElement(
            'div',
            { className: 'card-button', __source: {
                fileName: _jsxFileName,
                lineNumber: 10
              },
              __self: _this2
            },
            React.createElement(
              'div',
              { className: 'card-title', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 11
                },
                __self: _this2
              },
              content.title
            ),
            React.createElement(
              'div',
              { className: 'button-title', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 12
                },
                __self: _this2
              },
              button.title
            )
          );
        }

        if (channel === 'Google Assistant') {
          return button.type === 'externalUrl' ? React.createElement(
            'div',
            { key: index, className: 'card-button', __source: {
                fileName: _jsxFileName,
                lineNumber: 19
              },
              __self: _this2
            },
            button.title
          ) : '';
        } else {
          return React.createElement(
            'div',
            { key: index, className: 'card-button', __source: {
                fileName: _jsxFileName,
                lineNumber: 27
              },
              __self: _this2
            },
            button.title
          );
        }
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          content = _props2.content,
          preview = _props2.preview,
          channel = _props2.channel;

      return React.createElement(
        'div',
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 37
          },
          __self: this
        },
        preview && React.createElement(
          'div',
          {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 39
            },
            __self: this
          },
          (channel === 'default' || channel === 'websdk' || channel === 'Webapp' || channel === 'Facebook') && React.createElement(
            'div',
            {
              className: cx('bot-response__message-button', channel === 'Facebook' && 'bot-response__fb-message-button'), __source: {
                fileName: _jsxFileName,
                lineNumber: 44
              },
              __self: this
            },
            React.createElement(
              'div',
              {
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 49
                },
                __self: this
              },
              React.createElement(
                'div',
                {
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 50
                  },
                  __self: this
                },
                React.createElement(
                  'div',
                  { className: 'panel panel-default button-div border-radius-top-20 ', __source: {
                      fileName: _jsxFileName,
                      lineNumber: 51
                    },
                    __self: this
                  },
                  React.createElement(
                    'div',
                    { className: 'panel-body', __source: {
                        fileName: _jsxFileName,
                        lineNumber: 52
                      },
                      __self: this
                    },
                    React.createElement(
                      'div',
                      { className: 'row', __source: {
                          fileName: _jsxFileName,
                          lineNumber: 53
                        },
                        __self: this
                      },
                      React.createElement(
                        'div',
                        { className: 'col-xs-12 buttondesign', __source: {
                            fileName: _jsxFileName,
                            lineNumber: 54
                          },
                          __self: this
                        },
                        React.createElement(
                          'h4',
                          {
                            className: cx(channel === 'Facebook' ? 'uob-amex-fb' : 'uob-amex'), __source: {
                              fileName: _jsxFileName,
                              lineNumber: 55
                            },
                            __self: this
                          },
                          content.title
                        ),
                        React.createElement('p', { className: 'account-number', __source: {
                            fileName: _jsxFileName,
                            lineNumber: 63
                          },
                          __self: this
                        }),
                        this.getButtons()
                      )
                    )
                  )
                )
              )
            )
          ),
          channel === 'Amazon Alexa' && React.createElement(
            'div',
            { className: 'bot-response__amazonalexa-message-button', __source: {
                fileName: _jsxFileName,
                lineNumber: 74
              },
              __self: this
            },
            this.getButtons()
          )
        )
      );
    }
  }]);

  return TemplateButtonPreview;
}(Component);

export default TemplateButtonPreview;