var _jsxFileName = 'src/lib/components/TemplateCardPreview.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import cx from 'classnames';

import TextToSpeech from './TemplateTextToSpeech';

import TemplateListPreview from './TemplateListPreview';

var TemplateCardPreview = function (_Component) {
  _inherits(TemplateCardPreview, _Component);

  function TemplateCardPreview() {
    _classCallCheck(this, TemplateCardPreview);

    return _possibleConstructorReturn(this, (TemplateCardPreview.__proto__ || Object.getPrototypeOf(TemplateCardPreview)).apply(this, arguments));
  }

  _createClass(TemplateCardPreview, [{
    key: 'getButtons',
    value: function getButtons() {
      var _this2 = this;

      var content = this.props.content;

      var generatedButtons = void 0;
      generatedButtons = content.buttons.map(function (button) {
        return React.createElement(
          'div',
          { className: 'card-button', __source: {
              fileName: _jsxFileName,
              lineNumber: 13
            },
            __self: _this2
          },
          button.title
        );
      });
      return generatedButtons;
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          content = _props.content,
          preview = _props.preview,
          channel = _props.channel;

      return React.createElement(
        'div',
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 20
          },
          __self: this
        },
        preview && content && React.createElement(
          'div',
          {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 22
            },
            __self: this
          },
          (channel === 'default' || channel === 'websdk' || channel === 'Webapp' || channel === 'Facebook') && React.createElement(
            'div',
            {
              className: cx('bot-response__message-card', channel === 'Facebook' && 'bot-response__fb-message-card'), __source: {
                fileName: _jsxFileName,
                lineNumber: 27
              },
              __self: this
            },
            React.createElement(
              'div',
              {
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 32
                },
                __self: this
              },
              React.createElement(
                'div',
                {
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 33
                  },
                  __self: this
                },
                React.createElement(
                  'div',
                  { className: 'panel panel-default button-div border-radius-top-20 ', __source: {
                      fileName: _jsxFileName,
                      lineNumber: 34
                    },
                    __self: this
                  },
                  content.image && React.createElement(
                    'div',
                    { className: 'panel-heading card-image', __source: {
                        fileName: _jsxFileName,
                        lineNumber: 36
                      },
                      __self: this
                    },
                    React.createElement('img', {
                      src: content.image,
                      className: 'img-responsive',
                      alt: 'card-preview',
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 37
                      },
                      __self: this
                    })
                  ),
                  content.video && React.createElement(
                    'div',
                    {
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 45
                      },
                      __self: this
                    },
                    content.video.indexOf('youtube') >= 0 || content.video.indexOf('vimeo') >= 0 ? React.createElement('iframe', {
                      src: content.video,
                      frameBorder: '0',
                      allowFullScreen: true,
                      controls: true,
                      style: { width: '100%' },
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 48
                      },
                      __self: this
                    }) : React.createElement(
                      'video',
                      {
                        width: '100%',
                        height: '100%',
                        style: { marginBottom: '-10px' },
                        controls: true, __source: {
                          fileName: _jsxFileName,
                          lineNumber: 56
                        },
                        __self: this
                      },
                      React.createElement('source', { src: content.video, type: 'video/mp4', __source: {
                          fileName: _jsxFileName,
                          lineNumber: 61
                        },
                        __self: this
                      })
                    )
                  ),
                  (content.title || content.subtitle) && React.createElement(
                    'div',
                    { className: 'panel-body', __source: {
                        fileName: _jsxFileName,
                        lineNumber: 67
                      },
                      __self: this
                    },
                    React.createElement(
                      'div',
                      { className: 'row', __source: {
                          fileName: _jsxFileName,
                          lineNumber: 68
                        },
                        __self: this
                      },
                      React.createElement(
                        'div',
                        { className: 'col-xs-12 buttondesign', __source: {
                            fileName: _jsxFileName,
                            lineNumber: 69
                          },
                          __self: this
                        },
                        content.title && React.createElement(
                          'h4',
                          { className: 'uob-amex', __source: {
                              fileName: _jsxFileName,
                              lineNumber: 71
                            },
                            __self: this
                          },
                          content.title
                        ),
                        content.subtitle && React.createElement(
                          'p',
                          { className: 'account-number', __source: {
                              fileName: _jsxFileName,
                              lineNumber: 74
                            },
                            __self: this
                          },
                          content.subtitle
                        )
                      )
                    )
                  ),
                  React.createElement(
                    'div',
                    {
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 82
                      },
                      __self: this
                    },
                    this.getButtons()
                  )
                )
              )
            )
          ),
          channel === 'Amazon Alexa' && React.createElement(
            'div',
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 90
              },
              __self: this
            },
            content.buttons && content.buttons.length === 0 ? React.createElement(
              'div',
              { className: 'bot-response__amazonalexa-message-card', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 92
                },
                __self: this
              },
              React.createElement(
                'div',
                {
                  className: cx('card-detail', content.image && 'card-background-image'),
                  style: {
                    backgroundImage: content.image ? 'url(' + content.image + ')' : ''
                  }, __source: {
                    fileName: _jsxFileName,
                    lineNumber: 93
                  },
                  __self: this
                },
                React.createElement(
                  'div',
                  { className: 'card-content', __source: {
                      fileName: _jsxFileName,
                      lineNumber: 103
                    },
                    __self: this
                  },
                  React.createElement(
                    'h4',
                    {
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 104
                      },
                      __self: this
                    },
                    content.title
                  ),
                  React.createElement(
                    'p',
                    {
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 105
                      },
                      __self: this
                    },
                    content.subtitle
                  )
                )
              )
            ) : React.createElement(TemplateListPreview, {
              content: {
                style: 'compact',
                list: content.buttons.map(function (button) {
                  return {
                    title: content.title,
                    subtitle: content.subtitle,
                    image: content.image
                  };
                })
              },
              channel: channel,
              preview: preview,
              __source: {
                fileName: _jsxFileName,
                lineNumber: 110
              },
              __self: this
            })
          ),
          channel === 'Google Assistant' && React.createElement(
            'div',
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 129
              },
              __self: this
            },
            content.buttons && content.buttons.length === 0 ? React.createElement(
              'div',
              { className: 'bot-response__google-message-card', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 131
                },
                __self: this
              },
              React.createElement(
                'span',
                { className: '', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 132
                  },
                  __self: this
                },
                content.title
              ),
              React.createElement(
                'div',
                { className: 'message-title', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 133
                  },
                  __self: this
                },
                content.title
              ),
              React.createElement(
                'div',
                { className: 'message-subtitle', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 134
                  },
                  __self: this
                },
                content.subtitle
              ),
              React.createElement(
                'div',
                { className: 'image-container', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 135
                  },
                  __self: this
                },
                React.createElement(
                  'div',
                  { className: 'message-image', __source: {
                      fileName: _jsxFileName,
                      lineNumber: 136
                    },
                    __self: this
                  },
                  React.createElement('img', { src: content.image, alt: '', __source: {
                      fileName: _jsxFileName,
                      lineNumber: 137
                    },
                    __self: this
                  })
                )
              ),
              React.createElement(
                'p',
                {
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 140
                  },
                  __self: this
                },
                content.title
              )
            ) : React.createElement(
              'div',
              { className: '', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 143
                },
                __self: this
              },
              React.createElement(TemplateListPreview, {
                preview: preview,
                channel: channel,
                content: [content],
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 144
                },
                __self: this
              })
            )
          )
        )
      );
    }
  }]);

  return TemplateCardPreview;
}(Component);

export default TemplateCardPreview;