var _jsxFileName = 'src/lib/components/TemplatePreview.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';

import TemplateButtonPreview from './TemplateButtonPreview';
import TemplateCardPreview from './TemplateCardPreview';
import TemplateImagePreview from './TemplateImagePreview';
import TemplateListPreview from './TemplateListPreview';
import TemplateTextAreaPreview from './TemplateTextPreview';

var TemplatePreview = function (_Component) {
  _inherits(TemplatePreview, _Component);

  function TemplatePreview(props) {
    _classCallCheck(this, TemplatePreview);

    var _this = _possibleConstructorReturn(this, (TemplatePreview.__proto__ || Object.getPrototypeOf(TemplatePreview)).call(this, props));

    _this.state = {
      answerForPreview: []
    };
    return _this;
  }

  _createClass(TemplatePreview, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var answer = this.props.answer;


      this.setState({
        answerForPreview: answer
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var answerForPreview = this.state.answerForPreview;

      return React.createElement(
        'div',
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 30
          },
          __self: this
        },
        answerForPreview.map(function (answer, index) {
          return React.createElement(
            'div',
            { className: 'bot-response__TemplateTypesPreview', key: index, __source: {
                fileName: _jsxFileName,
                lineNumber: 33
              },
              __self: _this2
            },
            answer.messages && answer.messages.map(function (message, index) {
              var channel = 'default';

              switch (message.type) {
                case 'button':
                  return React.createElement(
                    'div',
                    {
                      style: { position: 'relative' },
                      className: 'bot-response__TemplateType',
                      key: index, __source: {
                        fileName: _jsxFileName,
                        lineNumber: 41
                      },
                      __self: _this2
                    },
                    React.createElement(TemplateButtonPreview, {
                      channel: channel,
                      content: message.content,
                      preview: true,
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 45
                      },
                      __self: _this2
                    })
                  );
                case 'hook':
                  return React.createElement(
                    'div',
                    {
                      style: { position: 'relative' },
                      className: 'bot-response__TemplateType',
                      key: index, __source: {
                        fileName: _jsxFileName,
                        lineNumber: 54
                      },
                      __self: _this2
                    },
                    React.createElement(TemplateTextAreaPreview, {
                      type: message.type,
                      channel: channel,
                      preview: true,
                      content: 'Hook Template',
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 58
                      },
                      __self: _this2
                    })
                  );
                case 'carousel':
                  if (message.oftype === 'card' || message.oftype === 'video') {
                    return React.createElement(
                      'div',
                      {
                        style: { position: 'relative' },
                        className: 'bot-response__TemplateType',
                        key: index, __source: {
                          fileName: _jsxFileName,
                          lineNumber: 72
                        },
                        __self: _this2
                      },
                      React.createElement(TemplateCardPreview, {
                        channel: channel,
                        content: message.content[0],
                        preview: true,
                        __source: {
                          fileName: _jsxFileName,
                          lineNumber: 76
                        },
                        __self: _this2
                      })
                    );
                  } else {
                    return React.createElement(
                      'div',
                      { style: { position: 'relative' },
                        className: 'bot-response__TemplateType',
                        key: index, __source: {
                          fileName: _jsxFileName,
                          lineNumber: 84
                        },
                        __self: _this2
                      },
                      React.createElement(TemplateCardPreview, {
                        channel: channel,
                        content: message.content[0],
                        preview: true,
                        __source: {
                          fileName: _jsxFileName,
                          lineNumber: 87
                        },
                        __self: _this2
                      })
                    );
                  }
                case 'list':
                  return React.createElement(
                    'div',
                    {
                      style: { position: 'relative' },
                      className: 'bot-response__TemplateType',
                      key: index, __source: {
                        fileName: _jsxFileName,
                        lineNumber: 96
                      },
                      __self: _this2
                    },
                    React.createElement(TemplateListPreview, {
                      content: message.content,
                      channel: channel,
                      preview: true,
                      displaySize: 1,
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 100
                      },
                      __self: _this2
                    })
                  );
                case 'image':
                  return React.createElement(
                    'div',
                    {
                      style: { position: 'relative' },
                      className: 'bot-response__TemplateType',
                      key: index, __source: {
                        fileName: _jsxFileName,
                        lineNumber: 110
                      },
                      __self: _this2
                    },
                    React.createElement(TemplateImagePreview, {
                      content: message.content,
                      channel: channel,
                      preview: true,
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 114
                      },
                      __self: _this2
                    })
                  );
                case 'rblist':
                case 'dynamic':
                  return React.createElement(
                    'div',
                    {
                      style: { position: 'relative' },
                      className: 'bot-response__TemplateType',
                      key: index, __source: {
                        fileName: _jsxFileName,
                        lineNumber: 124
                      },
                      __self: _this2
                    },
                    React.createElement(TemplateTextAreaPreview, {
                      type: message.type,
                      channel: channel,
                      preview: true,
                      content: 'Custom Template',
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 128
                      },
                      __self: _this2
                    })
                  );
                case 'text':
                case 'ssml':
                default:
                  return React.createElement(
                    'div',
                    {
                      style: { position: 'relative' },
                      className: 'bot-response__TemplateType',
                      key: index, __source: {
                        fileName: _jsxFileName,
                        lineNumber: 140
                      },
                      __self: _this2
                    },
                    React.createElement(TemplateTextAreaPreview, {
                      type: message.type,
                      channel: channel,
                      preview: true,
                      content: message.content,
                      __source: {
                        fileName: _jsxFileName,
                        lineNumber: 144
                      },
                      __self: _this2
                    })
                  );
              }
            })
          );
        })
      );
    }
  }]);

  return TemplatePreview;
}(Component);

export default TemplatePreview;