var _jsxFileName = 'src/lib/components/TemplateSpeechResponse.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import cx from 'classnames';

import TextArea from './TemplateTextArea';

import TextToSpeech from './TemplateTextToSpeech';

var TemplateSpeechResponse = function (_Component) {
  _inherits(TemplateSpeechResponse, _Component);

  function TemplateSpeechResponse() {
    _classCallCheck(this, TemplateSpeechResponse);

    return _possibleConstructorReturn(this, (TemplateSpeechResponse.__proto__ || Object.getPrototypeOf(TemplateSpeechResponse)).apply(this, arguments));
  }

  _createClass(TemplateSpeechResponse, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          speechResponse = _props.speechResponse,
          uniqueKey = _props.uniqueKey;

      return React.createElement(
        'div',
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 12
          },
          __self: this
        },
        React.createElement(
          'div',
          { className: 'bot-response__speechResponse mt-2 m-t-2', __source: {
              fileName: _jsxFileName,
              lineNumber: 13
            },
            __self: this
          },
          React.createElement(
            'div',
            { className: 'w-i', __source: {
                fileName: _jsxFileName,
                lineNumber: 14
              },
              __self: this
            },
            React.createElement(TextArea, {
              onChange: this.props.onChange,
              content: speechResponse,
              placeholder: 'Enter Speech response',
              uniqueKey: uniqueKey,
              __source: {
                fileName: _jsxFileName,
                lineNumber: 15
              },
              __self: this
            }),
            speechResponse && React.createElement(
              'div',
              { className: 'bot-response__amazon-alexa', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 22
                },
                __self: this
              },
              React.createElement(TextToSpeech, { content: speechResponse, __source: {
                  fileName: _jsxFileName,
                  lineNumber: 23
                },
                __self: this
              })
            )
          )
        ),
        React.createElement('hr', {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 28
          },
          __self: this
        })
      );
    }
  }]);

  return TemplateSpeechResponse;
}(Component);

export default TemplateSpeechResponse;