var _jsxFileName = 'src/lib/components/TemplateTypeChoice.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import cx from 'classnames';

//! CSS
import '../css/button.css';
import '../css/templates.css';
import '../css/slick.css';
import '../css/slick-theme.css';
import '../css/toggle.css';

import IconDefault from '../assets/icons/IconCustom';

var TemplateTypeChoice = function (_Component) {
  _inherits(TemplateTypeChoice, _Component);

  function TemplateTypeChoice(props) {
    _classCallCheck(this, TemplateTypeChoice);

    var _this = _possibleConstructorReturn(this, (TemplateTypeChoice.__proto__ || Object.getPrototypeOf(TemplateTypeChoice)).call(this, props));

    _this.state = {
      types: []
    };
    return _this;
  }

  _createClass(TemplateTypeChoice, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.setState({
        types: this.props.types
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var newResponseType = this.props.types;
      return React.createElement(
        'div',
        { className: 'bot-response__typeSelector', __source: {
            fileName: _jsxFileName,
            lineNumber: 31
          },
          __self: this
        },
        newResponseType.map(function (responseType, index) {
          var response = JSON.parse(JSON.stringify(responseType));
          if (!_this2.props.types[index].icon) {
            response.icon = IconDefault;
          } else {
            response.icon = _this2.props.types[index].icon;
          }
          return (response.type === 'dynamic' || response.type === 'rblist') && !_this2.props.showCustomTemplates ? null : React.createElement(
            'div',
            { key: index, __source: {
                fileName: _jsxFileName,
                lineNumber: 41
              },
              __self: _this2
            },
            React.createElement(
              'div',
              {
                className: cx('bot-response__type p-r-2 p-l-2 pr-2 pl-2', response.hide && 'd-none'),
                role: 'button',
                onClick: function onClick() {
                  _this2.props.onTypeChange(response);
                  if (response.type === 'dynamic') {
                    _this2.props.hideAndShowTemplateTypeChoice(true);
                  }
                }, __source: {
                  fileName: _jsxFileName,
                  lineNumber: 42
                },
                __self: _this2
              },
              React.createElement(
                'div',
                { className: 'bot-response__icon', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 54
                  },
                  __self: _this2
                },
                React.createElement(response.icon, {
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 55
                  },
                  __self: _this2
                })
              ),
              response.name || response.title
            ),
            response.name ? React.createElement('button', {
              className: 'bot-response__edit',
              onClick: function onClick() {
                _this2.props.editTemplate(response);
              },
              __source: {
                fileName: _jsxFileName,
                lineNumber: 60
              },
              __self: _this2
            }) : null
          );
        })
      );
    }
  }]);

  return TemplateTypeChoice;
}(Component);

export default TemplateTypeChoice;