var _jsxFileName = 'src/lib/components/TemplateTypeEdit.js';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';

import { Dropdown, DropdownToggle, DropdownMenu, DropdownItem } from 'reactstrap';

import IconOptions from '../assets/icons/IconOptions';
import IconMove from '../assets/icons/IconMove';

var TemplateTypeEdit = function (_Component) {
  _inherits(TemplateTypeEdit, _Component);

  function TemplateTypeEdit(props) {
    _classCallCheck(this, TemplateTypeEdit);

    var _this = _possibleConstructorReturn(this, (TemplateTypeEdit.__proto__ || Object.getPrototypeOf(TemplateTypeEdit)).call(this, props));

    _this.state = {
      enable: false,
      dropDownOpen: false,
      modal: null
    };
    _this.toggle = _this.toggle.bind(_this);
    _this.hideDeleteModal = _this.hideDeleteModal.bind(_this);
    _this.showModal = _this.showModal.bind(_this);
    return _this;
  }

  _createClass(TemplateTypeEdit, [{
    key: 'toggle',
    value: function toggle() {
      this.setState(function (prevState) {
        return {
          dropdownOpen: !prevState.dropdownOpen
        };
      });
    }
  }, {
    key: 'showModal',
    value: function showModal() {
      this.setState({
        modal: false
      });
    }
  }, {
    key: 'hideDeleteModal',
    value: function hideDeleteModal(isDelete) {
      this.setState({
        modal: true
      });
      isDelete && this.props.onDelete();
      document.querySelector('body').classList.remove('modal-open');
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          type = _props.type,
          replies = _props.replies,
          index = _props.index,
          hideUpIcon = _props.hideUpIcon,
          hideDownIcon = _props.hideDownIcon;

      var hideReplies = replies && (replies.length ? false : true);
      var display = this.state.modal ? 'none' : this.state.modal !== null ? 'block' : '';
      return React.createElement(
        'div',
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 54
          },
          __self: this
        },
        !hideReplies && React.createElement(
          'div',
          {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 56
            },
            __self: this
          },
          React.createElement(
            Dropdown,
            { isOpen: this.state.dropdownOpen, toggle: this.toggle, __source: {
                fileName: _jsxFileName,
                lineNumber: 57
              },
              __self: this
            },
            React.createElement(
              DropdownToggle,
              {
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 58
                },
                __self: this
              },
              React.createElement(IconOptions, {
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 59
                },
                __self: this
              })
            ),
            React.createElement(
              DropdownMenu,
              {
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 61
                },
                __self: this
              },
              React.createElement(
                DropdownItem,
                {
                  'data-toggle': 'modal',
                  'data-target': '#deleteModal' + index,
                  onClick: function onClick() {
                    return _this2.showModal();
                  }, __source: {
                    fileName: _jsxFileName,
                    lineNumber: 62
                  },
                  __self: this
                },
                'Delete'
              )
            )
          ),
          type !== 'quick replies' && React.createElement(IconMove, {
            index: index,
            onMessagePosAlter: this.props.onMessagePosAlter,
            hideUpIcon: hideUpIcon,
            hideDownIcon: hideDownIcon,
            __source: {
              fileName: _jsxFileName,
              lineNumber: 71
            },
            __self: this
          })
        ),
        React.createElement(
          'div',
          {
            className: 'modal',
            id: 'deleteModal' + index,
            style: { display: display },
            'data-backdrop': 'false', __source: {
              fileName: _jsxFileName,
              lineNumber: 80
            },
            __self: this
          },
          React.createElement(
            'div',
            { className: 'modal-dialog', __source: {
                fileName: _jsxFileName,
                lineNumber: 85
              },
              __self: this
            },
            React.createElement(
              'div',
              { className: 'modal-content', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 86
                },
                __self: this
              },
              React.createElement(
                'div',
                { className: 'modal-header', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 87
                  },
                  __self: this
                },
                'Delete',
                React.createElement(
                  'button',
                  {
                    type: 'button',
                    className: 'close',
                    'data-target': '#deleteModal' + index,
                    onClick: function onClick(e) {
                      return _this2.hideDeleteModal(false);
                    }, __source: {
                      fileName: _jsxFileName,
                      lineNumber: 89
                    },
                    __self: this
                  },
                  '\xD7'
                )
              ),
              React.createElement(
                'div',
                { className: 'modal-body clearfix', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 97
                  },
                  __self: this
                },
                React.createElement(
                  'span',
                  {
                    __source: {
                      fileName: _jsxFileName,
                      lineNumber: 98
                    },
                    __self: this
                  },
                  'This action cannot be undone.'
                ),
                React.createElement('br', {
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 99
                  },
                  __self: this
                }),
                React.createElement(
                  'span',
                  {
                    __source: {
                      fileName: _jsxFileName,
                      lineNumber: 100
                    },
                    __self: this
                  },
                  'Are you sure?'
                ),
                React.createElement(
                  'button',
                  {
                    className: 'btn btn-primary pull-right float-right m-b-3 m-t-5  mb-3 mt-5',
                    onClick: function onClick() {
                      return _this2.hideDeleteModal(true);
                    }, __source: {
                      fileName: _jsxFileName,
                      lineNumber: 101
                    },
                    __self: this
                  },
                  'Delete Card'
                )
              )
            )
          )
        )
      );
    }
  }]);

  return TemplateTypeEdit;
}(Component);

export default TemplateTypeEdit;